﻿/**
* DevExpress Analytics (core\_actionProvider.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { Disposable } from '../serializer/disposable';
export class BaseActionsProvider extends Disposable {
    initActions(actions) {
        this.actions = actions;
        this.actions.forEach((action) => {
            if (!action.disabled)
                action.disabled = ko.observable(false);
        });
    }
    getActions(context) {
        if (this.condition(context)) {
            this.setDisabled && this.setDisabled(context);
            return this.actions;
        }
        return [];
    }
    condition(context) {
        return true;
    }
}
