﻿/**
* DevExpress Analytics (core\internal\_ajaxRequestManager.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as $ from 'jquery';
import { extend } from '../../serializer/_utils';
export class AjaxRequestManager {
    constructor(ajaxSttingsFn, getRequestBodyFn) {
        this.getAjaxSettings = ajaxSttingsFn;
        this.getRequestBody = getRequestBodyFn;
    }
    sendRequest(settings) {
        settings.data = this.getRequestBody(settings.data);
        const requestSettings = this._prepareRequestSettings(settings);
        return $.ajax(requestSettings);
    }
    _prepareRequestSettings(settings) {
        return extend({}, this.getAjaxSettings(), settings);
    }
}
