﻿/**
* DevExpress Analytics (core\internal\_dimensionNotationsModel.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { IArea } from '../elements/area';
import { MeasureUnit } from './_papperKindMapper';
export type DimensionNotationsModelOptions = {
    enabled: () => boolean;
    surface: ko.Observable<{
        measureUnit: ko.Subscribable<MeasureUnit>;
        zoom: ko.Subscribable<number>;
    }>;
    isVerticalAxisVisible: (controlModel: any) => boolean;
    isHorizontalAxisVisible: (controlModel: any) => boolean;
    isLocatedInsideContainer: (controlModel: any) => boolean;
};
export declare class DimensionNotationsModel {
    private _options;
    private cleanUp;
    private dHeight;
    private dWidth;
    constructor(_options: DimensionNotationsModelOptions);
    private renderTemplate;
    private getFormattedString;
    start(container: HTMLElement): void;
    stop(): void;
    updateSize(boundsDiff: IArea): void;
}
