﻿/**
* DevExpress Analytics (core\internal\_editorTypeMapper.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { editorTemplates } from '../../property-grid/widgets/editorsInfo';
import { DotnetTypes } from './_dotnetTypesMapper';
export const ExpressionType = 'DevExpress.DataAccess.Expression';
export function IsDataAccessExpression(type) {
    return type === ExpressionType;
}
export const editorTypeMapper = {
    [DotnetTypes.Enum]: editorTemplates.getEditor('combobox'),
    [DotnetTypes.SystemString]: editorTemplates.getEditor('text'),
    [DotnetTypes.SystemGuid]: editorTemplates.getEditor('guid'),
    [DotnetTypes.SystemSByte]: editorTemplates.getEditor('sbyte'),
    [DotnetTypes.SystemDecimal]: editorTemplates.getEditor('decimal'),
    [DotnetTypes.SystemInt64]: editorTemplates.getEditor('int64'),
    [DotnetTypes.SystemInt32]: editorTemplates.getEditor('int32'),
    [DotnetTypes.SystemInt16]: editorTemplates.getEditor('int16'),
    [DotnetTypes.SystemSingle]: editorTemplates.getEditor('single'),
    [DotnetTypes.SystemDouble]: editorTemplates.getEditor('double'),
    [DotnetTypes.SystemByte]: editorTemplates.getEditor('byte'),
    [DotnetTypes.SystemUInt16]: editorTemplates.getEditor('uint16'),
    [DotnetTypes.SystemUInt32]: editorTemplates.getEditor('uint32'),
    [DotnetTypes.SystemUInt64]: editorTemplates.getEditor('uint64'),
    [DotnetTypes.SystemBoolean]: editorTemplates.getEditor('boolSelect'),
    [DotnetTypes.SystemDateTime]: editorTemplates.getEditor('date'),
    [DotnetTypes.SystemDateOnly]: editorTemplates.getEditor('dateOnly'),
    [DotnetTypes.SystemTimeOnly]: editorTemplates.getEditor('timeOnly'),
    [DotnetTypes.DevExpressExpression]: editorTemplates.getEditor('expressionEditor')
};
export function getEditorType(typeString) {
    return editorTypeMapper[typeString] || editorTemplates.getEditor('text');
}
