﻿/**
* DevExpress Analytics (core\internal\_fetchRequestManager.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxPromise } from '../utils/_jqueryUtils';
import { IRequestManager, IRequestManagerSettings } from './_requestManager';
export declare class FetchRequestManager implements IRequestManager {
    getFetchSettings: () => IRequestManagerSettings;
    getRequestBody: (data: any) => any;
    prepareRequestArgs: (args: any, encode: boolean, stringify: boolean) => any;
    constructor(fetchSettingsFn: () => IRequestManagerSettings, getRequestBodyFn: (data: any) => any, prepareRequestArgsFn: (args: any, encode: boolean, stringify: boolean) => any);
    sendRequest(settings: IRequestManagerSettings): DxPromise<any>;
    _executeRequest: (method: string, url: string, body: FormData, params?: Object, abortControler?: AbortController) => DxPromise<any>;
    _fetch: (method: string, url: string, body: any, params?: any, abortControler?: AbortController) => Promise<Response>;
    _prepareParams(settings: IRequestManagerSettings): {
        method: string;
        preparedUrl: string;
        body: FormData;
        params: {};
    };
    useFetch: boolean;
}
