﻿/**
* DevExpress Analytics (core\internal\ajaxSetup.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { extend } from '../../serializer/_utils';
import { _isFetchConfigured, requestManager } from './requestManager';
export const ajaxSetup = {
    ajaxSettings: {},
    sendRequest: function (settings) {
        if (!_isFetchConfigured())
            return requestManager.getInstance().sendRequest(extend({}, this.ajaxSettings, settings));
        const errorMessage = 'The request manager is currently configured as Fetch. Use either ajaxSetup or fetchSetup for configuration, but not both.';
        throw new Error(errorMessage);
    }
};
