﻿/**
* DevExpress Analytics (core\templates.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ITabPanelViewModel } from './widgets/tabPanel';
import { IActionViewModel } from '../widgets/utils';
import { IObjectPropertiesViewModel, IPropertyGridEditorViewModel } from '../property-grid/propertygrid';
import { IEditorViewModel } from '../property-grid/widgets/editor';
import { ITreeListItemViewModel } from '../widgets/treelist/_treelistItem.viewModel';
import { IColorPickerEditorViewModel } from './widgets/colorPickerEditor';
import { ICollectionEditorViewModel } from '../property-grid/widgets/collectioneditor/_editor';
export type AnalyticsTemplate = {
    'dxrd-right-panel-template-base': ITabPanelViewModel;
    'dxrd-toolbar-tmplt': Array<IActionViewModel>;
    'dx-propertieseditor': IObjectPropertiesViewModel;
    'dx-text': IEditorViewModel;
    'dx-number-editor': IEditorViewModel;
    'dx-date': IEditorViewModel;
    'dx-selectbox': IEditorViewModel;
    'dx-boolean-select': IEditorViewModel;
    'dx-treelist-item': ITreeListItemViewModel;
    'dx-treelist-header-item': ITreeListItemViewModel;
    'dx-treelist-item-text-content': ITreeListItemViewModel;
    'dx-treelist-header-item-caption-content': ITreeListItemViewModel;
    'dxrd-guid': IEditorViewModel;
    'dx-property-editor': IEditorViewModel;
    'dx-objectEditorContent': IPropertyGridEditorViewModel;
    'dx-boolean': IEditorViewModel;
    'dx-combobox': IEditorViewModel;
    'dx-numeric': IEditorViewModel;
    'dxrd-colorpicker': IColorPickerEditorViewModel;
    'dx-collectioneditor': {
        data: ICollectionEditorViewModel;
        contentTemplate: string;
    };
    'dx-designer': any;
};
