﻿/**
* DevExpress Analytics (core\tools\contextMenuProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { Disposable } from '../../serializer/disposable';
import { IGroupedItem } from '../utils/_utils';
import { IAction } from '../../widgets/utils';
import { IGlobalSubscribableValue } from '../../serializer/_internal';
type Options = {
    actions?: ko.Observable<(IAction | IGroupedItem<IAction>)[]>;
    target?: string;
    getClickActionParams?: () => any;
    contextMenusEnabled: ko.Observable<boolean>;
    fullScreen?: IGlobalSubscribableValue<boolean>;
};
export declare class ContextMenuProvider extends Disposable {
    constructor({ actions, target, getClickActionParams, contextMenusEnabled, fullScreen }: Options);
    hide(): void;
    dispose(): void;
    dataSource: ko.Observable<(IAction | IGroupedItem<IAction>)[]>;
    target: string;
    actions: ko.Observable<(IAction | IGroupedItem<IAction>)[]>;
    itemTemplate: (itemData: any, index: any, element: any) => void | string;
    onItemClick: (e: any, data: any) => void;
    cssClass: string;
    hideOnOutsideClick: boolean;
    disabled: ko.Observable;
    component: any;
    overlayContainer: Element;
    onInitialized: (e: any) => void;
    onOptionChanged: (e: any) => void;
}
export {};
