﻿/**
* DevExpress Analytics (core\tools\toolbox.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { getTypeNameFromFullName, getImageClassName } from '../internal/_getNameHelpers';
import { SvgTemplatesEngine } from '../../property-grid/widgets/internal/_svgTemplateEngine';
export class ToolboxItem {
    constructor(info) {
        this.disabled = ko.observable(false);
        this.info = info;
    }
    get type() {
        return getTypeNameFromFullName(this.info['@ControlType']);
    }
    get imageClassName() {
        return [getImageClassName(this.type), this.disabled() ? 'dxrd-disabled-button' : ''].join(' ');
    }
    get imageTemplateName() {
        const _templateName = getImageClassName(this.type, true);
        return SvgTemplatesEngine.getExistingTemplate(_templateName) ?? SvgTemplatesEngine.getExistingTemplate('dxrd-svg-toolbox-unknown');
    }
    get index() {
        return this.info.index;
    }
    get displayName() {
        return this.info.displayName || this.type;
    }
}
