﻿/**
* DevExpress Analytics (core\widgets\_generateIconTemplate.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { getTemplate } from '../../property-grid/widgets/templateUtils';
import { $dx } from '../utils/_jqueryUtils';
export const generateIconTemplate = (iconClass) => {
    return {
        render: function (options) {
            const $icon = $dx(document.createElement('i')).addClass('dx-icon');
            if (!!iconClass) {
                $icon.addClass(iconClass);
                $icon.addClass('dx-icon-' + iconClass);
                $icon.addClass('dx-icon-dxrd');
            }
            else if (!!options.model.icon) {
                $icon.addClass(options.model.icon);
            }
            if (options.model.icon) {
                $icon[0].innerHTML = getTemplate(options.model.icon);
            }
            const icon = $icon.get(0);
            $dx(options.container).append(icon);
            if (options.model.text) {
                const $span = $dx(document.createElement('span')).addClass('dx-button-text')[0];
                $span.textContent = options.model.text;
                $dx(options.container).append($span);
            }
        }
    };
};
export const editor_template = {
    render: function (options) {
        generateIconTemplate(options.model.iconClass).render(options);
    }
};
