﻿/**
* DevExpress Analytics (core\widgets\textAlignmentEditor\_binding.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { TextAlignmentModel } from './_textAlignmentEditor';
import { getTemplate } from '../../../property-grid/widgets/templateUtils';
import { addDisposeCallback } from '../../../serializer/_internal';
import { $dx } from '../../utils/_jqueryUtils';
ko.bindingHandlers['dxTextAlignmentEditor'] = {
    init: function (element, valueAccessor, allBindings, viewModel, bindingContext) {
        $dx(element).empty();
        const templateHtml = getTemplate('dxrd-textalignment-editor'), $element = $dx(element).append(templateHtml);
        const model = new TextAlignmentModel(valueAccessor());
        ko.applyBindings({ value: model }, $element.children()[0]);
        addDisposeCallback(element, () => model.dispose());
        return { controlsDescendantBindings: true };
    }
};
