﻿/**
* DevExpress Analytics (diagram\elements\connectingPointSurface.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { DiagramElementBaseSurface } from './diagramElementBaseSurface';
export class ConnectingPointSurface extends DiagramElementBaseSurface {
    constructor(control, context) {
        super(control, context, ConnectingPointSurface._unitProperties);
        this.template = 'dxdd-connecting-point';
        this.selectiontemplate = 'dxdd-connection-point-selection';
        this.contenttemplate = '';
    }
}
ConnectingPointSurface._unitProperties = {
    _x: (o) => {
        return ko.pureComputed(() => { return o.location.x() - o.parentModel().location.x(); });
    },
    _y: (o) => {
        return ko.pureComputed(() => { return o.location.y() - o.parentModel().location.y(); });
    }
};
