﻿/**
* DevExpress Analytics (property-grid\widgets\ellipsiseditor\_editor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import 'devextreme/ui/text_box';
import dxTextBox, { Properties } from 'devextreme/ui/text_box';
import { IJQueryWrapper } from '../../../core/utils/_jqueryUtils';
export type EllipsisEditorOptions = Properties & {
    buttonAction?: () => void;
    openOnFieldClick?: boolean;
    value?: any;
};
export declare class dxEllipsisEditor extends dxTextBox<EllipsisEditorOptions> {
    _$button: IJQueryWrapper;
    _$input: IJQueryWrapper;
    _buttonIcon: HTMLElement;
    _$element: IJQueryWrapper;
    _onClick: (e: Event) => void;
    _onHover: () => void;
    constructor(element: Element, options?: EllipsisEditorOptions);
    _init(): void;
    _render(): void;
    _updateWarningState(value?: unknown): void;
    _updateButtonSize(): void;
    _renderButton(): void;
    _attachButtonEvents(): void;
    _removeCustomHoveredStyle(): void;
    _attachInputEvents(): void;
    _optionChanged(args: {
        name: string;
        value: any;
    }): void;
    buttonAction(e: Event): void;
}
