﻿/**
* DevExpress Analytics (property-grid\widgets\internal\_bindingsCache.ko.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import config from 'devextreme/core/config';
import * as ko from 'knockout';
import { getFromCache } from './_bindingsCache';
const currentParseBindingsString = ko.bindingProvider.prototype.parseBindingsString;
ko.utils.extend(ko.bindingProvider.prototype, {
    'parseBindingsString': function (bindingsString, bindingContext, node, options) {
        try {
            const func = getFromCache(bindingsString.trim());
            if (func)
                return func(bindingContext, node);
            return currentParseBindingsString.call(ko.bindingProvider.instance, bindingsString, bindingContext, node, options);
        }
        catch (ex) {
            ex.message = 'Unable to parse bindings.\nBindings value: ' + bindingsString + '\nMessage: ' + ex.message;
            throw ex;
        }
    }
});
const optionsParser = config()['optionsParser'];
config({
    optionsParser: function (optionsString) {
        const func = getFromCache(optionsString.trim());
        if (func)
            return func();
        return optionsParser(optionsString);
    }
});
