﻿/**
* DevExpress Analytics (property-grid\widgets\registerBaseEdtior.native.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { editorTemplates } from './editorsInfo';
import { PropertyGridEditor } from '../propertygrid';
import { BooleanEditor } from '../../core/widgets/booleanEditor';
let isRegistered = false;
export function registerBaseEditorsNative() {
    if (!isRegistered) {
        isRegistered = true;
        editorTemplates.registerEditors({
            'bool': { header: 'dx-boolean', editorType: BooleanEditor },
            'boolSelect': { header: 'dx-boolean-select' },
            'numeric': { header: 'dx-numeric' },
            'modificators': { custom: 'dx-modificators' },
            'combobox': { header: 'dx-combobox' },
            'text': { header: 'dx-text' },
            'commonCollection': { custom: 'dx-commonCollection' },
            'objecteditor': { header: 'dx-emptyHeader', content: 'dx-objectEditorContent', editorType: PropertyGridEditor },
        });
    }
}
