﻿/**
* DevExpress Analytics (query-builder\_initializer.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { IQueryBuilderOptions } from './binding/jsQueryBuilderBindingOptions';
import { IDBSchemaProvider } from './dataSource/dbSchemaProvider';
import { QueryViewModel, QueryViewModelBase } from './elements/queryModel';
import { QuerySurface } from './elements/querySurface';
import { IQueryBuilderCustomizationHandler } from './utils/_callbacks';
import { IQueryBuilderModel } from './_queryBuilderModel';
import { DxDeferred, IJQueryWrapper } from '../core/utils/_jqueryUtils';
export interface IQueryBuilderSurfaceCreator {
    options: IQueryBuilderOptions;
    creator: (options: IQueryBuilderOptions) => QueryViewModelBase;
}
export declare function updateQueryBuilderSurfaceContentSize(getRoot: () => IJQueryWrapper, surfaceSize: ko.Observable<number> | ko.Computed<number>, surface: ko.Observable<QuerySurface>, updateLayoutCallbacks?: Array<() => void>): () => void;
export declare function createIsLoadingFlag(model: ko.Observable<QueryViewModel> | ko.Computed<QueryViewModel>, dbSchemaProvider: ko.Observable<IDBSchemaProvider> | ko.Computed<IDBSchemaProvider>): ko.PureComputed<boolean>;
export declare function createQueryBuilder(element: HTMLElement, options: IQueryBuilderOptions, callbacks: IQueryBuilderCustomizationHandler, applyBindings?: boolean): DxDeferred<IQueryBuilderModel>;
export declare function createQueryBuilderSurface(element: HTMLElement, options: IQueryBuilderOptions, queryCreator: (options: IQueryBuilderOptions) => QueryViewModelBase): IQueryBuilderModel;
