﻿/**
* DevExpress Analytics (query-builder\dataSource\_utils.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { findFirstItemMatchesCondition } from '../../core/utils/_arrayutils';
import { getUniqueNameForNamedObjectsArray } from '../../core/internal/_getNameHelpers';
export function generateQueryUniqueName(queries, query, nameProperty = 'name') {
    const name = (query[nameProperty]() || query.generateName()).replace(/\./g, '_');
    return findFirstItemMatchesCondition(queries, item => item[nameProperty]() === name) ?
        getUniqueNameForNamedObjectsArray(queries, name + '_') : name;
}
