﻿/**
* DevExpress Analytics (query-builder\dataSource\dbColumn.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DotnetTypes } from '../../core/internal/_dotnetTypesMapper';
export declare enum DBColumnType {
    Unknown = 0,
    Boolean = 1,
    Byte = 2,
    SByte = 3,
    Char = 4,
    Decimal = 5,
    Double = 6,
    Single = 7,
    Int32 = 8,
    UInt32 = 9,
    Int16 = 10,
    UInt16 = 11,
    Int64 = 12,
    UInt64 = 13,
    String = 14,
    DateTime = 15,
    Guid = 16,
    TimeSpan = 17,
    ByteArray = 18
}
export declare class DBColumn {
    name: string;
    type: DBColumnType;
    size: string;
    constructor(model: any);
    static GetType(dbColumnType: DBColumnType): DotnetTypes.SystemChar | DotnetTypes.SystemString | DotnetTypes.SystemGuid | DotnetTypes.SystemSByte | DotnetTypes.SystemDecimal | DotnetTypes.SystemInt64 | DotnetTypes.SystemInt32 | DotnetTypes.SystemInt16 | DotnetTypes.SystemSingle | DotnetTypes.SystemDouble | DotnetTypes.SystemByte | DotnetTypes.SystemUInt16 | DotnetTypes.SystemUInt32 | DotnetTypes.SystemUInt64 | DotnetTypes.SystemBoolean | DotnetTypes.SystemDateTime | DotnetTypes.SystemTimeSpan | DotnetTypes.SystemObject | DotnetTypes.SystemBiteArray;
    static GetSpecific(type: string): "String" | "Date" | "Bool" | "Integer" | "Float" | "Time";
}
