﻿/**
* DevExpress Analytics (query-builder\dataSource\dbTable.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DBColumn } from './dbColumn';
import { DBForeignKey } from './dbForeignKey';
import { deserializeToCollection } from './_dbSchema';
export class DBTable {
    constructor(model) {
        this.name = model['Name'];
        this.isView = model['IsView'] === 'true' || model['IsView'] === true;
        this.columns = deserializeToCollection(model['columns'], (columnModel) => new DBColumn(columnModel));
        this.foreignKeys = deserializeToCollection(model['foreignKeys'], (columnModel) => new DBForeignKey(columnModel));
    }
}
