﻿/**
* DevExpress Analytics (query-builder\dataSource\federation\_dbSchemaFederationDataSourceProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DxPromise } from '../../../core/utils/_jqueryUtils';
import { Disposable } from '../../../serializer/disposable';
import { IPathRequest } from '../../../widgets/common/pathRequest';
import { IDataMemberInfo, IItemsProvider } from '../../../widgets/utils';
import { IDBSchemaProvider } from '../dbSchemaProvider';
import { DBTable } from '../dbTable';
export declare class DBSchemaFederationDataSourceProvider extends Disposable implements IDBSchemaProvider {
    private _rootItems;
    getDbSchema(): DxPromise<IDataMemberInfo[]>;
    getItems: (path: IPathRequest) => DxPromise<IDataMemberInfo[]>;
    getDbTable(tableName: string, path: string): DxPromise<DBTable>;
    dispose(): void;
    constructor(itemsProvider: IItemsProvider);
}
