﻿/**
* DevExpress Analytics (query-builder\dataSource\json\jsonDataSource.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { Disposable } from '../../../serializer/disposable';
import { IDataSourceBase } from '../sql/sqlDataSource';
import { ISerializationInfoArray } from '../../../serializer/serializationInfo';
import { IModelSerializer } from '../../../serializer/serializer';
import { RequestWrapper } from '../../utils/requestwrapper';
import { JsonSchemaProvider } from './jsonSchemaProvider';
import { IParameter } from '../../wizard/internal/_utils';
import { JsonSchemaRootNode } from './jsonSchemaNode';
import { JsonSource } from './jsonSource';
import { DxPromise } from '../../../core/utils/_jqueryUtils';
export declare class JsonDataSource extends Disposable implements IDataSourceBase {
    getInfo(): ISerializationInfoArray;
    clone(_serializer?: IModelSerializer): JsonDataSource;
    static from(model: any, serializer?: IModelSerializer): JsonDataSource;
    static toJson(value: any, serializer: any, refs: any): any;
    constructor(model: any, serializer?: IModelSerializer, requestWrapper?: RequestWrapper);
    getSchema(parameters?: IParameter[]): DxPromise<JsonSchemaRootNode>;
    name: ko.Observable<string> | ko.Computed<string>;
    id: string;
    connectionName: ko.Observable<string> | ko.Computed<string>;
    jsonSchemaProvider: JsonSchemaProvider;
    schema: JsonSchemaRootNode;
    rootElement: ko.Observable<string> | ko.Computed<string>;
    source: JsonSource;
}
