﻿/**
* DevExpress Analytics (query-builder\widgets\filterEditor\_operandPropertyQBSurface.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { OperandPropertySurface } from '../../../widgets/filtereditor/operators/operandPropertySurface';
export class OperandPropertyQBSurface extends OperandPropertySurface {
    _updateSpecifics() {
        OperandPropertyQBSurface.updateSpecifics(this);
    }
    constructor(operator, parent, fieldListProvider, path) {
        super(operator, parent, fieldListProvider, path);
    }
    static updateSpecifics(propertySurface) {
        const fieldList = ko.unwrap(propertySurface.fieldListProvider);
        if (fieldList && fieldList.getColumnInfo) {
            const item = fieldList.getColumnInfo(propertySurface.propertyName());
            if (item) {
                propertySurface.specifics(item.specifics.toLowerCase());
                propertySurface.dataType(item.dataType);
                const _fieldsOptions = ko.unwrap(propertySurface.fieldsOptions);
                if (_fieldsOptions)
                    _fieldsOptions.selected(item);
            }
        }
    }
}
