﻿/**
* DevExpress Analytics (query-builder\widgets\masterdetaileditor\_masterDetailEditor.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { MasterDetailRelation } from '../../dataSource/sql/masterDetailRelation';
import { ResultSet } from '../../dataSource/resultSet';
import { PopupService } from '../../../property-grid/internal/_popupService';
import { MasterQuerySurface } from './_masterQuerySurface';
import { KeyColumnSurface } from './_keyColumnSurface';
import { PopupEditorBase } from '../../../core/widgets/_popupEditorBase';
import { DxPromise } from '../../../core/utils/_jqueryUtils';
export declare class MasterDetailEditor extends PopupEditorBase {
    constructor(relations: ko.ObservableArray<MasterDetailRelation>, resultSet: ResultSet, saveCallBack: () => DxPromise<{}>);
    isValid: ko.Observable<boolean>;
    save: () => void;
    loadPanelVisible: ko.Observable<boolean>;
    popupService: PopupService;
    masterQueries: ko.ObservableArray<MasterQuerySurface>;
    createRelation: (target: MasterQuerySurface) => any;
    setColumn: (target: KeyColumnSurface) => any;
    title(): any;
}
