﻿/**
* DevExpress Analytics (query-builder\wizard\internal\_dbSchemaItemsProvider.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { IItemsProvider, IDataMemberInfo } from '../../../widgets/utils';
import { TreeNode, ParameterTreeNode, QueriesTreeNode, TreeNodeBase } from './_treeListNode';
import { ISqlQueryViewModel } from '../../dataSource/utils';
import { IDBSchemaProvider } from '../../dataSource/dbSchemaProvider';
import { TableQuery } from '../../dataSource/sql/tableQuery';
import { IPathRequest } from '../../../widgets/common/pathRequest';
import { Disposable } from '../../../serializer/disposable';
import { DxDeferred, DxPromise } from '../../../core/utils/_jqueryUtils';
export interface IAddQueriesTreeListCallbacks {
    deleteAction?: (name: string) => any;
    showQbCallBack?: (name?: string, isCustomQuery?: boolean) => any;
    disableCustomSql?: boolean;
}
export declare class DBSchemaItemsProvider extends Disposable implements IItemsProvider {
    private _callBack;
    private _tables;
    private _views;
    private _procedures;
    private _queries;
    private _customQueries;
    private _rootItems;
    constructor(dbSchemaProvider: IDBSchemaProvider, customQueries: ko.ObservableArray<TableQuery>, showQbCallBack: any, disableCustomSql: any, afterCheckToggled: (node: TreeNodeBase) => void);
    itemsRequestDeferreds: ko.ObservableArray<DxDeferred>;
    private addRequestDeferred;
    private _checkedRootNodesCount;
    getItems: (path: IPathRequest) => DxPromise<IDataMemberInfo[]>;
    hasCheckedItems: ko.PureComputed<boolean>;
    nextButtonDisabled: ko.PureComputed<boolean>;
    hasParametersToEdit: ko.PureComputed<boolean>;
    dispose(): void;
    tables: () => TreeNode;
    views: () => TreeNode;
    procedures: () => ParameterTreeNode;
    queries: () => QueriesTreeNode;
    customQueries: () => ko.ObservableArray<ISqlQueryViewModel>;
}
