﻿/**
* DevExpress Analytics (query-builder\wizard\internal\federationDataSource\_federationTablesExpressionFieldListProvider.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { findFirstItemMatchesCondition } from '../../../../core/utils/_arrayutils';
import { DxDeferred } from '../../../../core/utils/_jqueryUtils';
import { PathRequest } from '../../../../widgets/common/pathRequest';
export class FederationTablesExpressionFieldListProvider {
    getItems(pathRequest) {
        const result = new DxDeferred();
        if (pathRequest.path === '') {
            result.resolve(this.tables().map(table => {
                return { name: table.actualName(), displayName: table.actualName(), isList: true, specifics: 'List', dragData: { noDragable: false } };
            }));
        }
        else {
            const paths = pathRequest.fullPath.split('.');
            paths.shift();
            const table = findFirstItemMatchesCondition(this.tables(), table => table.actualName() === paths.join('.'));
            if (table) {
                this.provider.getItems(new PathRequest(table.pathString)).done(items => result.resolve(items));
            }
        }
        return result.promise();
    }
    constructor(provider, tables) {
        this.provider = provider;
        this.tables = tables;
    }
}
