﻿/**
* DevExpress Analytics (query-builder\wizard\internal\federationDataSource\_federationTransformQueryBuilderPopup.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import * as ko from 'knockout';
import { ITreeListOptions, TreeListItemViewModel } from '../../../../widgets/treelist/_treelistItem';
import { TransformQuery } from '../../../dataSource/federation/federatedQueries/transformQuery';
import { FederationDataSource } from '../../../dataSource/federation/federationDataSource';
import { FederationQueryBuilderPopupBase } from './_federationQueryBuilderPopupBase';
import { ITreeListItemViewModel } from '../../../../widgets/treelist/_treelistItem.viewModel';
export declare class FederationTransformQueryBuilderPopup extends FederationQueryBuilderPopupBase {
    private _updateColumns;
    protected _aliasValidationCallback(alias: string, data: {
        alias: string;
        key: string;
    }): boolean;
    constructor(onSaveCallback: (query: TransformQuery) => void, dataSource: FederationDataSource, rtl?: boolean, onCloseCallback?: () => void);
    dispose(): void;
    addDataMember(item: ITreeListItemViewModel | TreeListItemViewModel): void;
    updateColumns(): void;
    canSave(): boolean;
    save(): void;
    onHiding(): void;
    show(query: TransformQuery): void;
    transformGrid: any;
    transformGridTitle: ko.Observable<string>;
    transformResultGridTitle: ko.Observable<string>;
    transformResultCollapsed: ko.Observable<boolean>;
    transformSources: ko.Observable<any[]>;
    resultFieldListModel: ko.Observable<ITreeListOptions>;
    currentPath: ko.Observable<string[]>;
    get currentPathString(): string;
    transformQuery: ko.Observable<TransformQuery>;
    popupContentTemplate: string;
}
