﻿/**
* DevExpress Analytics (query-builder\wizard\pageFactory.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export class PageFactory {
    constructor() {
        this.metadata = {};
    }
    registerMetadata(pageId, metadata) {
        if (!metadata.canFinish)
            metadata.canFinish = (page) => page.canFinish();
        if (!metadata.canNext)
            metadata.canNext = (page) => page.canNext();
        this.metadata[pageId] = metadata;
    }
    getMetadata(pageId) {
        return this.metadata[pageId];
    }
    unregisterMetadata(pageId) {
        delete this.metadata[pageId];
    }
    reset() {
        this.metadata = {};
    }
}
