﻿/**
* DevExpress Analytics (query-builder\wizard\pages\federationDataSourceWizard\federatedMasterDetailRelationshipsPage.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
/// <reference types="jquery" />
import * as ko from 'knockout';
import { IFederationDataSourceWizardState } from '../../dataSourceWizardState';
import { MasterDetailEditor } from '../../../widgets/masterdetaileditor/_masterDetailEditor';
import { PageFactory } from '../../pageFactory';
import { FederationDataSource } from '../../../dataSource/federation/federationDataSource';
import { _MultiQueryDataSourceWizardOptions } from '../../multiQueryDataSourceWizard';
import { MasterDetailRelationshipsPageBase } from '../multiQueryWizard/masterDetailRelationshipsPageBase';
import { IDataSourceBase } from '../../../dataSource/sql/sqlDataSource';
import { DxPromise } from '../../../../core/utils/_jqueryUtils';
export declare class FederatedMasterDetailRelationshipsPage extends MasterDetailRelationshipsPageBase<IFederationDataSourceWizardState, IFederationDataSourceWizardState> {
    private _options;
    private _federationDataSource;
    protected _restoreDataSource(state: IFederationDataSourceWizardState): void;
    protected _dataSource(): IDataSourceBase;
    constructor(federationDataSourceResultSchema: (dataSource: FederationDataSource) => DxPromise<{
        resultSchemaJSON: string;
    }>, _options: _MultiQueryDataSourceWizardOptions);
    commit(): JQuery.Promise<IFederationDataSourceWizardState, any, any>;
    _customResetOptions: () => any;
    _relationsEditor: ko.Observable<MasterDetailEditor>;
}
export declare function _registerFederatedMasterDetailRelationshipsPage(factory: PageFactory, federationDataSourceResultSchema: (dataSource: FederationDataSource) => DxPromise<{
    resultSchemaJSON: string;
}>, wizardOptions: _MultiQueryDataSourceWizardOptions): void;
