﻿/**
* DevExpress Analytics (query-builder\wizard\pages\wizardPageBase.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { createDeferred } from '../../../core/utils/_createDeferred';
import { Disposable } from '../../../serializer/disposable';
export class WizardPageBase extends Disposable {
    constructor() {
        super(...arguments);
        this.changeAlways = false;
        this._onChange = () => void 0;
    }
    dispose() {
        super.dispose();
        this._onChange = () => void 0;
    }
    commit() {
        return createDeferred().resolve().promise();
    }
    onChange(callback) {
        this._onChange = callback;
    }
    initialize(state, stateChanged) {
        return createDeferred().resolve().promise();
    }
    canNext() {
        return true;
    }
    canFinish() {
        return false;
    }
}
