﻿/**
* DevExpress Analytics (serializer\propertyChangedEvents.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
type SinglePropertyChangedEvents<T = any> = {
    [K in keyof T as `${string & K}Changed`]: PropertyChangedEventArgs<T> | ArrayPropertyChangedEventArgs<T>;
};
type AllPropertiesChangedEvents<T = any> = {
    propertyChanged: PropertyChangedEventArgs<T> | ArrayPropertyChangedEventArgs<T>;
};
export type PropertyChangedEvents<T = any> = AllPropertiesChangedEvents<T> & SinglePropertyChangedEvents<T>;
export type PropertyChangedEventArgs<T = any> = {
    propertyName: keyof T;
    oldValue: unknown;
    newValue: unknown;
};
export type ArrayPropertyChangedEventArgs<T = any> = PropertyChangedEventArgs<T> & {
    added: {
        item: unknown;
        index: number;
    }[];
    removed: {
        item: unknown;
        index: number;
    }[];
};
export {};
