﻿/**
* DevExpress Analytics (widgets\ace\_ace_theme.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { isDarkTheme } from '../_utils';
export function defineAceThemes(ace) {
    ace.define('ace/theme/dreamweaver', ['require', 'exports', 'module'], function (require, exports, module) {
        'use strict';
        module.isDark = false;
        module.cssClass = 'ace-dreamweaver';
        return module;
    });
    ace.define('ace/theme/ambiance', ['require', 'exports', 'module'], function (require, exports, module) {
        'use strict';
        module.isDark = true;
        module.cssClass = 'ace-ambiance';
        return module;
    });
}
export function getAceThemeName(theme) {
    if (theme && theme.indexOf('/') !== -1) {
        return theme.split('/').pop();
    }
    return isDarkTheme() ? 'ambiance' : 'dreamweaver';
}
