﻿/**
* DevExpress Analytics (widgets\criteria\operators\constant.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { criteriaCreator } from '../utils/criteriaOperatorPreprocessor';
import { OperandValue } from './value';
export class ConstantValue extends OperandValue {
    constructor(value, specifics) {
        super(value);
        this.type = 'value';
        if (specifics && !this.specifics)
            this.specifics = specifics;
    }
    accept(visitor) {
        return visitor.visitConstantValue
            ? visitor.visitConstantValue(this)
            : new ConstantValue(this.value, this.specifics);
    }
}
criteriaCreator.register('const', (options) => new ConstantValue(options?.value || null));
