﻿/**
* DevExpress Analytics (widgets\criteria\operators\options\function.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
export declare enum FunctionOperatorType {
    None = 0,
    Custom = 1,
    CustomNonDeterministic = 2,
    Iif = 3,
    IsNull = 4,
    IsNullOrEmpty = 5,
    Trim = 6,
    Len = 7,
    Substring = 8,
    Upper = 9,
    Lower = 10,
    Concat = 11,
    Ascii = 12,
    Char = 13,
    ToStr = 14,
    Replace = 15,
    Reverse = 16,
    Insert = 17,
    CharIndex = 18,
    Remove = 19,
    Abs = 20,
    Sqr = 21,
    Cos = 22,
    Sin = 23,
    Atn = 24,
    Exp = 25,
    Log = 26,
    Rnd = 27,
    Tan = 28,
    Power = 29,
    Sign = 30,
    Round = 31,
    Ceiling = 32,
    Floor = 33,
    Max = 34,
    Min = 35,
    Acos = 36,
    Asin = 37,
    Atn2 = 38,
    BigMul = 39,
    Cosh = 40,
    Log10 = 41,
    Sinh = 42,
    Tanh = 43,
    PadLeft = 44,
    PadRight = 45,
    StartsWith = 46,
    EndsWith = 47,
    Contains = 48,
    ToInt = 49,
    ToLong = 50,
    ToFloat = 51,
    ToDouble = 52,
    ToDecimal = 53,
    LocalDateTimeThisYear = 54,
    LocalDateTimeThisMonth = 55,
    LocalDateTimeLastWeek = 56,
    LocalDateTimeThisWeek = 57,
    LocalDateTimeYesterday = 58,
    LocalDateTimeToday = 59,
    LocalDateTimeNow = 60,
    LocalDateTimeTomorrow = 61,
    LocalDateTimeDayAfterTomorrow = 62,
    LocalDateTimeNextWeek = 63,
    LocalDateTimeTwoWeeksAway = 64,
    LocalDateTimeNextMonth = 65,
    LocalDateTimeNextYear = 66,
    LocalDateTimeTwoMonthsAway = 67,
    LocalDateTimeTwoYearsAway = 68,
    LocalDateTimeLastMonth = 69,
    LocalDateTimeLastYear = 70,
    LocalDateTimeYearBeforeToday = 71,
    IsOutlookIntervalBeyondThisYear = 72,
    IsOutlookIntervalLaterThisYear = 73,
    IsOutlookIntervalLaterThisMonth = 74,
    IsOutlookIntervalNextWeek = 75,
    IsOutlookIntervalLaterThisWeek = 76,
    IsOutlookIntervalTomorrow = 77,
    IsOutlookIntervalToday = 78,
    IsOutlookIntervalYesterday = 79,
    IsOutlookIntervalEarlierThisWeek = 80,
    IsOutlookIntervalLastWeek = 81,
    IsOutlookIntervalEarlierThisMonth = 82,
    IsOutlookIntervalEarlierThisYear = 83,
    IsOutlookIntervalPriorThisYear = 84,
    IsThisWeek = 85,
    IsThisMonth = 86,
    IsThisYear = 87,
    IsNextMonth = 88,
    IsNextYear = 89,
    IsLastMonth = 90,
    IsLastYear = 91,
    IsYearToDate = 92,
    IsSameDay = 93,
    InRange = 94,
    InDateRange = 95,
    IsJanuary = 96,
    IsFebruary = 97,
    IsMarch = 98,
    IsApril = 99,
    IsMay = 100,
    IsJune = 101,
    IsJuly = 102,
    IsAugust = 103,
    IsSeptember = 104,
    IsOctober = 105,
    IsNovember = 106,
    IsDecember = 107,
    DateDiffTick = 108,
    DateDiffSecond = 109,
    DateDiffMilliSecond = 110,
    DateDiffMinute = 111,
    DateDiffHour = 112,
    DateDiffDay = 113,
    DateDiffMonth = 114,
    DateDiffYear = 115,
    GetDate = 116,
    GetMilliSecond = 117,
    GetSecond = 118,
    GetMinute = 119,
    GetHour = 120,
    GetDay = 121,
    GetMonth = 122,
    GetYear = 123,
    GetDayOfWeek = 124,
    GetDayOfYear = 125,
    GetTimeOfDay = 126,
    Now = 127,
    UtcNow = 128,
    Today = 129,
    TruncateToMinute = 130,
    IsSameHour = 131,
    IsSameTime = 132,
    BeforeMidday = 133,
    AfterMidday = 134,
    IsNight = 135,
    IsMorning = 136,
    IsAfternoon = 137,
    IsEvening = 138,
    IsLastHour = 139,
    IsThisHour = 140,
    IsNextHour = 141,
    IsWorkTime = 142,
    IsFreeTime = 143,
    IsLunchTime = 144,
    AddTimeSpan = 145,
    AddTicks = 146,
    AddMilliSeconds = 147,
    AddSeconds = 148,
    AddMinutes = 149,
    AddHours = 150,
    AddDays = 151,
    AddMonths = 152,
    AddYears = 153,
    DateTimeFromParts = 154,
    DateOnlyFromParts = 155,
    TimeOnlyFromParts = 156
}
export interface IFunctionOperatorProperties {
    operatorType: FunctionOperatorType;
    operands: any[];
}
