﻿/**
* DevExpress Analytics (widgets\criteria\operators\parameter.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { OperandValue } from './value';
import { criteriaCreator } from '../utils/criteriaOperatorPreprocessor';
export class OperandParameter extends OperandValue {
    constructor(parameterName, value) {
        super(value);
        this.type = 'parameter';
        this.parameterName = parameterName || '';
    }
    get displayType() {
        return '?' + this.parameterName;
    }
    accept(visitor) {
        return visitor.visitOperandParameter
            ? visitor.visitOperandParameter(this)
            : new OperandParameter(this.parameterName, this.value);
    }
}
criteriaCreator.register('parameter', (options) => {
    return new OperandParameter(options.parameterName, options.value);
});
