﻿/**
* DevExpress Analytics (widgets\formatstring\_patterns.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { DotnetTypes } from '../../core/internal/_dotnetTypesMapper';
export const formatStringStandardPatterns = {
    'DateTime': { type: DotnetTypes.SystemDateTime, value: new Date(Date.now()), patterns: [], localizationId: 'UtilsUIStringId.FSForm_Cat_DateTime' },
    'Number': { type: DotnetTypes.SystemInt32, value: '123456789', patterns: ['#.00', '#,#', '0.E+0.0', '0.e+0.0', 'n', 'n1', 'n2', 'e', 'e1', 'f', 'f1'], localizationId: 'UtilsUIStringId.FSForm_Cat_Number' },
    'Percent': { type: DotnetTypes.SystemInt32, value: '100', patterns: ['0.00%', '0%'], localizationId: 'UtilsUIStringId.FSForm_Cat_Percent' },
    'Currency': { type: DotnetTypes.SystemInt32, value: '100', patterns: ['$0.00', '$0', 'c', 'c1', 'c2'], localizationId: 'UtilsUIStringId.FSForm_Cat_Currency' },
    'Special': { type: DotnetTypes.SystemInt32, value: '123456789', patterns: ['(###) ### - ####', '### - ## - ####'], localizationId: 'UtilsUIStringId.FSForm_Cat_Special' },
    'General': { type: DotnetTypes.SystemString, value: '', patterns: ['General format have no specific number format'], localizationId: 'UtilsUIStringId.FSForm_Cat_General' }
};
