﻿/**
* DevExpress Analytics (widgets\internal\_resizeHelper.d.ts)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { ISize } from '../../core/elements/size';
import * as ko from 'knockout';
export type ResizeHandlerOptions = {
    resultSize?: ko.Observable<number>;
    disabled?: ko.Observable<boolean>;
    onResize?: () => void;
};
export declare class ResizeHelper {
    options: ResizeHandlerOptions;
    private _resize;
    constructor(options?: ResizeHandlerOptions);
    resizable(resizeHandler: object, handles: string): any;
    stopResize: () => void;
    resize: (params: {
        size: ISize;
        delta: {
            dx: number;
            dy: number;
            dw: number;
            dh: number;
        };
        element: HTMLDivElement;
    }) => void;
}
