﻿/**
* DevExpress Analytics (dx-analytics-core-svg-templates.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SvgTemplatesEngine } from './property-grid/widgets/internal/_svgTemplateEngine';
SvgTemplatesEngine.addTemplates({
    'dxrd-svg-collapsed': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 9 9" xml:space="preserve"><path class="dxd-icon-fill" d="M2 2l5 3-5 3z"/></svg>',
    'dxrd-svg-ellipsis': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="-467 277 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M-464 284h2v2h-2zM-460 284h2v2h-2zM-456 284h2v2h-2z"/></svg>',
    'dxrd-svg-error': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 64 64"><circle cx="32" cy="32" r="32" fill="#F05252"/><path fill="#FFF0F0" d="M18.733 22.27a2.502 2.502 0 013.538-3.537l22.996 22.996a2.502 2.502 0 01-3.538 3.538L18.733 22.271z"/><path fill="#FFF0F0" d="M41.73 18.733a2.502 2.502 0 013.537 3.538L22.271 45.267a2.502 2.502 0 01-3.538-3.538l22.996-22.996z"/></svg>',
    'dxrd-svg-expressioneditor-addition': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M20 10h-6V4h-4v6H4v4h6v6h4v-6h6z"/></svg>',
    'dxrd-svg-expressioneditor-and': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M15 4c-1.1 0-2.1.2-3 .7-.9-.5-1.9-.7-3-.7-3.9 0-7 3.1-7 7s3.1 7 7 7c1.1 0 2.1-.2 3-.7.9.4 1.9.7 3 .7 3.9 0 7-3.1 7-7s-3.1-7-7-7zm-1 7c0 1.6-.8 3.1-2 4-1.2-.9-2-2.3-2-4s.8-3.1 2-4c1.2.9 2 2.4 2 4zM4 11c0-2.8 2.2-5 5-5 .3 0 .7 0 1 .1-1.2 1.3-2 3-2 4.9s.8 3.6 2 4.9c-.3.1-.7.1-1 .1-2.8 0-5-2.2-5-5zm11 5c-.3 0-.7 0-1-.1 1.2-1.3 2-3 2-4.9s-.8-3.6-2-4.9c.3-.1.7-.1 1-.1 2.8 0 5 2.2 5 5s-2.2 5-5 5z"/><path class="dxd-icon-fill dxd-opacity-80" d="M14 11c0 1.6-.8 3.1-2 4-1.2-.9-2-2.3-2-4s.8-3.1 2-4c1.2.9 2 2.4 2 4z"/></svg>',
    'dxrd-svg-expressioneditor-division': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M2 10h20v4H2z"/><circle class="dxd-icon-fill" cx="12" cy="6" r="2"/><circle class="dxd-icon-fill" cx="12" cy="18" r="2"/></svg>',
    'dxrd-svg-expressioneditor-edit': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M18 8l-6 6-6-6z"/></svg>',
    'dxrd-svg-expressioneditor-equal': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M4 6h16v4H4zM4 12h16v4H4z"/></svg>',
    'dxrd-svg-expressioneditor-greater': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M4 4v2l10 6-10 6v2l14-8z"/></svg>',
    'dxrd-svg-expressioneditor-greater_or_equal': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M4 2v2l10 6-10 6v2l14-8zM4 22l14-8v-2L4 20z"/></svg>',
    'dxrd-svg-expressioneditor-less': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M18 4v2L8 12l10 6v2L4 12z"/></svg>',
    'dxrd-svg-expressioneditor-less_or_equal': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M18 2v2L8 10l10 6v2L4 10zM18 22L4 14v-2l14 8z"/></svg>',
    'dxrd-svg-expressioneditor-modulus': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M16 4L2 20h4L20 4zM16 12c-2.2 0-4 1.8-4 4s1.8 4 4 4 4-1.8 4-4-1.8-4-4-4zm0 6c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2zM6 12c2.2 0 4-1.8 4-4S8.2 4 6 4 2 5.8 2 8s1.8 4 4 4zm0-6c1.1 0 2 .9 2 2s-.9 2-2 2-2-.9-2-2 .9-2 2-2z"/></svg>',
    'dxrd-svg-expressioneditor-multiplication': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M18 6l-2-2-5 5-5-5-2 2 5 5-5 5 2 2 5-5 5 5 2-2-5-5z"/></svg>',
    'dxrd-svg-expressioneditor-not': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M15 4c-1.1 0-2.1.2-3 .7-.9-.5-1.9-.7-3-.7-3.9 0-7 3.1-7 7s3.1 7 7 7c1.1 0 2.1-.2 3-.7.9.4 1.9.7 3 .7 3.9 0 7-3.1 7-7s-3.1-7-7-7zm-1 7c0 1.6-.8 3.1-2 4-1.2-.9-2-2.3-2-4s.8-3.1 2-4c1.2.9 2 2.4 2 4zM4 11c0-2.8 2.2-5 5-5 .3 0 .7 0 1 .1-1.2 1.3-2 3-2 4.9s.8 3.6 2 4.9c-.3.1-.7.1-1 .1-2.8 0-5-2.2-5-5zm11 5c-.3 0-.7 0-1-.1 1.2-1.3 2-3 2-4.9s-.8-3.6-2-4.9c.3-.1.7-.1 1-.1 2.8 0 5 2.2 5 5s-2.2 5-5 5z"/><path class="dxd-icon-fill dxd-opacity-80" d="M4 11c0-2.8 2.2-5 5-5 .3 0 .7 0 1 .1-1.2 1.3-2 3-2 4.9s.8 3.6 2 4.9c-.3.1-.7.1-1 .1-2.8 0-5-2.2-5-5z"/></svg>',
    'dxrd-svg-expressioneditor-not_equal': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M20 0h-2l-3.8 6H4v4h7.6l-1.2 2H4v4h3.8L4 22h2l3.8-6H20v-4h-7.6l1.2-2H20V6h-3.8z"/></svg>',
    'dxrd-svg-expressioneditor-or': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill dxd-opacity-80" d="M14 11c0 1.6-.8 3.1-2 4-1.2-.9-2-2.3-2-4s.8-3.1 2-4c1.2.9 2 2.4 2 4z"/><path class="dxd-icon-fill" d="M15 4c-1.1 0-2.1.2-3 .7-.9-.5-1.9-.7-3-.7-3.9 0-7 3.1-7 7s3.1 7 7 7c1.1 0 2.1-.2 3-.7.9.4 1.9.7 3 .7 3.9 0 7-3.1 7-7s-3.1-7-7-7zm-1 7c0 1.6-.8 3.1-2 4-1.2-.9-2-2.3-2-4s.8-3.1 2-4c1.2.9 2 2.4 2 4zM4 11c0-2.8 2.2-5 5-5 .3 0 .7 0 1 .1-1.2 1.3-2 3-2 4.9s.8 3.6 2 4.9c-.3.1-.7.1-1 .1-2.8 0-5-2.2-5-5zm11 5c-.3 0-.7 0-1-.1 1.2-1.3 2-3 2-4.9s-.8-3.6-2-4.9c.3-.1.7-.1 1-.1 2.8 0 5 2.2 5 5s-2.2 5-5 5z"/><path class="dxd-icon-fill dxd-opacity-80" d="M4 11c0-2.8 2.2-5 5-5 .3 0 .7 0 1 .1-1.2 1.3-2 3-2 4.9s.8 3.6 2 4.9c-.3.1-.7.1-1 .1-2.8 0-5-2.2-5-5zM15 16c-.3 0-.7 0-1-.1 1.2-1.3 2-3 2-4.9s-.8-3.6-2-4.9c.3-.1.7-.1 1-.1 2.8 0 5 2.2 5 5s-2.2 5-5 5z"/></svg>',
    'dxrd-svg-expressioneditor-parenthesis': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M2 11c0 3.8 1.8 7.1 4 9h2c-2.2-1.9-4-5.2-4-9s1.8-7.1 4-9H6c-2.2 1.9-4 5.2-4 9zM16 2h-2c2.2 1.8 4 5.2 4 9s-1.8 7.2-4 9h2c2.2-1.8 4-5.2 4-9s-1.8-7.2-4-9z"/><path class="dxd-icon-fill" d="M6 10h2v2H6zM10 10h2v2h-2zM14 10h2v2h-2z"/></svg>',
    'dxrd-svg-expressioneditor-subtraction': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M4 10h16v4H4z"/></svg>',
    'dxrd-svg-fieldlist-array': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M4 4v8H2.3V5.5H1V4h3zm2.8 7.6c-.5-.3-.8-.8-1.1-1.4-.2-.6-.4-1.3-.4-2.2 0-.9.1-1.6.4-2.2.3-.6.7-1.1 1.1-1.4.5-.3 1-.5 1.6-.5s1.1.1 1.6.5c.5.3.8.8 1.1 1.4.3.6.4 1.4.4 2.2 0 .9-.1 1.6-.4 2.2-.3.6-.6 1.1-1.1 1.4-.5.3-1 .5-1.6.5s-1.1-.1-1.6-.5zm2.6-1.7c.3-.4.4-1 .4-1.9s-.1-1.5-.4-1.9c-.2-.4-.6-.6-1-.6s-.8.2-1 .6c-.3.4-.4 1-.4 1.9s.1 1.5.4 1.9c.2.4.6.6 1 .6.5.1.8-.1 1-.6zM15 4v8h-1.7V5.5H12V4h3z"/></svg>',
    'dxrd-svg-fieldlist-bitearray': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M4 4v8H2.3V5.5H1V4h3zm2.8 7.6c-.5-.3-.8-.8-1.1-1.4-.2-.6-.4-1.3-.4-2.2 0-.9.1-1.6.4-2.2.3-.6.7-1.1 1.1-1.4.5-.3 1-.5 1.6-.5s1.1.1 1.6.5c.5.3.8.8 1.1 1.4.3.6.4 1.4.4 2.2 0 .9-.1 1.6-.4 2.2-.3.6-.6 1.1-1.1 1.4-.5.3-1 .5-1.6.5s-1.1-.1-1.6-.5zm2.6-1.7c.3-.4.4-1 .4-1.9s-.1-1.5-.4-1.9c-.2-.4-.6-.6-1-.6s-.8.2-1 .6c-.3.4-.4 1-.4 1.9s.1 1.5.4 1.9c.2.4.6.6 1 .6.5.1.8-.1 1-.6zM15 4v8h-1.7V5.5H12V4h3z"/></svg>',
    'dxrd-svg-fieldlist-bool': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M13.6 2.6L6 10.2 3.4 7.6 2 9l4 4 9-9z"/></svg>',
    'dxrd-svg-fieldlist-booleanfield': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M13.6 2.6L6 10.2 3.4 7.6 2 9l4 4 9-9z"/></svg>',
    'dxrd-svg-fieldlist-column': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M1 6h14v4H1z"/><g class="dxd-opacity-50"><path class="dxd-icon-fill" d="M5 5H1V1h4v4zm5-4H6v4h4V1zm5 0h-4v4h4V1zM5 11H1v4h4v-4zm5 0H6v4h4v-4zm5 0h-4v4h4v-4z"/></g></svg>',
    'dxrd-svg-fieldlist-datasource': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><g class="st1"><path class="dxd-icon-fill" d="M7.3 9V7H10V3c0-1.7-2-3-4.5-3S1 1.3 1 3v5c0 1.7 2 3 4.5 3 2 0 3.6-.8 4.2-2H7.3zm-4-6c0-.4.9-1 2.3-1s2.3.6 2.3 1-1 1-2.4 1-2.2-.6-2.2-1z"/></g><path class="dxd-icon-fill" d="M9.5 5C7 5 5 6.3 5 8v5c0 1.7 2 3 4.5 3s4.5-1.3 4.5-3V8c0-1.7-2-3-4.5-3zm0 4c-1.4 0-2.2-.6-2.2-1s.9-1 2.3-1 2.3.6 2.3 1-1 1-2.4 1z"/></svg>',
    'dxrd-svg-fieldlist-date': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" fill-rule="evenodd" clip-rule="evenodd" d="M13 4H3v9h10V4zM1 1v14h14V1h-2V0h-3v1H6V0H3v1H1z"/><path class="dxd-icon-fill" d="M11 10.064H9.676V12H8.342v-1.936H5V9.18L8.496 5h1.18v4.031H11v1.033zM8.342 6.827l-1.92 2.204h1.92V6.827z"/></svg>',
    'dxrd-svg-fieldlist-datetime': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M3 4h10v2l2 1V1h-2V0h-3v1H6V0H3v1H1v14h6l-1-2H3V4z"/><path class="dxd-icon-fill" d="M11.5 7A4.472 4.472 0 007 11.5c0 2.507 1.993 4.5 4.5 4.5 2.507 0 4.5-1.993 4.5-4.5C16 8.993 14.007 7 11.5 7zm0 7.714A3.183 3.183 0 018.286 11.5c0-1.8 1.414-3.214 3.214-3.214S14.714 9.7 14.714 11.5 13.3 14.714 11.5 14.714zm1.929-3.214v.643h-2.572V9.57h.643V11.5h1.929z"/></svg>',
    'dxrd-svg-fieldlist-datetimefield': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M8 1C4.1 1 1 4.1 1 8s3.1 7 7 7 7-3.1 7-7-3.1-7-7-7zm0 12c-2.8 0-5-2.2-5-5s2.2-5 5-5 5 2.2 5 5-2.2 5-5 5zm3-5v1H7V5h1v3h3z"/></svg>',
    'dxrd-svg-fieldlist-doublefield': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M5 4v8H3.3V5.5H2V4h3zM6.3 11.7c-.2-.2-.3-.4-.3-.7 0-.3.1-.5.3-.7.2-.2.4-.3.7-.3s.5.1.7.3.3.4.3.7c0 .3-.1.5-.3.7-.2.2-.4.3-.7.3s-.5-.1-.7-.3zM15 10.5V12H9v-1.2l3.1-2.9c.3-.3.5-.6.7-.8.1-.2.2-.4.2-.7 0-.3-.1-.6-.3-.7-.2-.2-.5-.3-.9-.3-.3 0-.7.1-.9.2-.5.2-.7.4-.9.6l-1.3-.8c.3-.5.7-.9 1.2-1.1.5-.3 1.2-.4 1.9-.4.6 0 1.1.1 1.5.3.4.2.8.5 1 .8.2.4.4.8.4 1.2 0 .4-.1.8-.3 1.2-.2.4-.5.8-1.1 1.3l-1.8 1.7H15z"/></svg>',
    'dxrd-svg-fieldlist-enum': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M13 12H1c-.5 0-1 .5-1 1v8c0 .5.5 1 1 1h12c.5 0 1-.5 1-1v-8c0-.5-.5-1-1-1zm-1 8H2v-2h10v2zm0-4H2v-2h10v2zM23 4H11c-.5 0-1 .5-1 1v5h12v2h-6v2h7c.5 0 1-.5 1-1V5c0-.5-.5-1-1-1zm-1 4H12V6h10v2z" id="Enum"/></svg>',
    'dxrd-svg-fieldlist-float': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M5 4v8H3.3V5.5H2V4h3zM6.3 11.7c-.2-.2-.3-.4-.3-.7 0-.3.1-.5.3-.7.2-.2.4-.3.7-.3s.5.1.7.3.3.4.3.7c0 .3-.1.5-.3.7-.2.2-.4.3-.7.3s-.5-.1-.7-.3zM15 10.5V12H9v-1.2l3.1-2.9c.3-.3.5-.6.7-.8.1-.2.2-.4.2-.7 0-.3-.1-.6-.3-.7-.2-.2-.5-.3-.9-.3-.3 0-.7.1-.9.2-.5.2-.7.4-.9.6l-1.3-.8c.3-.5.7-.9 1.2-1.1.5-.3 1.2-.4 1.9-.4.6 0 1.1.1 1.5.3.4.2.8.5 1 .8.2.4.4.8.4 1.2 0 .4-.1.8-.3 1.2-.2.4-.5.8-1.1 1.3l-1.8 1.7H15z"/></svg>',
    'dxrd-svg-fieldlist-guid': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M4.1 4.6c-.2-.2-.3-.4-.3-.7 0-.3.1-.5.3-.7.2-.2.4-.3.7-.3.3 0 .6.1.7.3.2.2.3.4.3.7 0 .3-.1.6-.3.8-.1.1-.4.2-.7.2-.3 0-.5-.1-.7-.3zm-.1 1h1.7V12H4V5.6zM13 3v9h-1.6v-.7c-.4.6-1 .8-1.8.8-.5 0-1-.1-1.5-.4-.4-.3-.8-.7-1-1.2-.2-.5-.3-1.1-.3-1.7 0-.7.1-1.2.4-1.7.2-.5.6-.9 1-1.2.4-.3.9-.4 1.5-.4.7 0 1.3.3 1.7.8V3H13zm-2 7.1c.3-.3.4-.8.4-1.3s-.1-1-.4-1.3c-.3-.3-.7-.5-1.1-.5-.4 0-.8.2-1 .5-.3.3-.4.7-.4 1.3 0 .5.1 1 .4 1.3.3.3.6.5 1 .5.4-.1.8-.2 1.1-.5z"/></svg>',
    'dxrd-svg-fieldlist-integer': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M6 4v8H4.3V5.5H3V4h3zm8 6.5V12H8v-1.2l3.1-2.9c.3-.3.5-.6.7-.8.1-.2.2-.4.2-.7 0-.3-.1-.6-.3-.7-.2-.2-.5-.3-.9-.3-.3 0-.7.1-.9.2-.5.2-.7.4-.9.6l-1.3-.8c.3-.5.7-.9 1.2-1.1.5-.3 1.2-.4 1.9-.4.6 0 1.1.1 1.5.3.4.2.8.5 1 .8.2.4.4.8.4 1.2 0 .4-.1.8-.3 1.2-.2.4-.5.8-1.1 1.3l-1.8 1.7H14z"/></svg>',
    'dxrd-svg-fieldlist-integerfield': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M6 4v8H4.3V5.5H3V4h3zm8 6.5V12H8v-1.2l3.1-2.9c.3-.3.5-.6.7-.8.1-.2.2-.4.2-.7 0-.3-.1-.6-.3-.7-.2-.2-.5-.3-.9-.3-.3 0-.7.1-.9.2-.5.2-.7.4-.9.6l-1.3-.8c.3-.5.7-.9 1.2-1.1.5-.3 1.2-.4 1.9-.4.6 0 1.1.1 1.5.3.4.2.8.5 1 .8.2.4.4.8.4 1.2 0 .4-.1.8-.3 1.2-.2.4-.5.8-1.1 1.3l-1.8 1.7H14z"/></svg>',
    'dxrd-svg-fieldlist-listsource': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M8 2C5.2 2 3 3.3 3 5v6c0 1.7 2.2 3 5 3s5-1.3 5-3V5c0-1.7-2.2-3-5-3zm0 4c-1.8 0-2.9-.8-3-1 .1-.2 1.2-1 3-1s2.9.8 3 1c-.1.2-1.2 1-3 1z"/></svg>',
    'dxrd-svg-fieldlist-none': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M9.4 8l3.3-3.3c.4-.4.4-1 0-1.4s-1-.4-1.4 0L8 6.6 4.7 3.3c-.4-.4-1-.4-1.4 0s-.4 1 0 1.4L6.6 8l-3.3 3.3c-.4.4-.4 1 0 1.4s1 .4 1.4 0L8 9.4l3.3 3.3c.4.4 1 .4 1.4 0s.4-1 0-1.4L9.4 8z"/></svg>',
    'dxrd-svg-fieldlist-parameters': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M7.2 8.3c.2-.3.5-.6.8-1l.7-.7c.1-.2.2-.4.2-.6 0-.3-.1-.6-.4-.8-.3-.2-.6-.3-1-.3s-.8.1-1.1.3c-.3.1-.6.3-.8.6L4 4.9c.4-.6.9-1.1 1.5-1.4.6-.3 1.3-.5 2.2-.5 1 0 1.8.2 2.4.7.6.4.9 1.1.9 1.9 0 .4-.1.7-.2 1-.1.3-.3.5-.4.7l-.7.7c-.3.3-.5.5-.7.8-.1.2-.2.4-.2.7h-2c.1-.5.2-.9.4-1.2zm-.3 4.3c-.2-.2-.4-.5-.4-.9s.1-.6.4-.9c.2-.2.5-.4.9-.4s.7.1.9.4c.2.2.4.5.4.9s-.1.7-.4.9c-.2.3-.5.4-.9.4-.3 0-.6-.1-.9-.4z"/></svg>',
    'dxrd-svg-fieldlist-range': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M3 4v8h2v2H1V2h4v2H3zm10 0v8h-2v2h4V2h-4v2h2z"/></svg>',
    'dxrd-svg-fieldlist-string': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M6 6.1c.5.5.8 1.2.8 2.2V12H5.1v-.8c-.3.6-.9.9-1.9.9-.5 0-.9-.1-1.2-.3-.3-.2-.6-.4-.8-.7-.2-.3-.3-.6-.3-1 .1-.6.3-1.1.7-1.4.4-.3 1.1-.5 2-.5H5c0-.4-.1-.7-.4-1-.2-.2-.5-.3-1-.3-.3 0-.6 0-.9.1-.4.2-.6.3-.8.5l-.7-1.3c.4-.3.8-.5 1.2-.6.5-.1.9-.2 1.4-.2 1 0 1.7.2 2.2.7zm-1.5 4.5c.2-.1.4-.4.5-.7v-.6H3.8c-.7 0-1.1.3-1.1.8 0 .2.1.4.3.6.2.1.4.2.7.2.3-.1.6-.2.8-.3zm9-4.8c.5.3.8.7 1.1 1.2.3.5.4 1.1.4 1.7 0 .7-.1 1.3-.4 1.8-.3.5-.6.9-1.1 1.2-.5.3-1 .4-1.5.4-.8 0-1.5-.3-1.9-.8v.7H8.4V3h1.8v3.2c.4-.5 1.1-.8 1.8-.8.5 0 1 .1 1.5.4zm-.7 4.3c.3-.3.4-.8.4-1.3s-.1-1-.4-1.3c-.3-.3-.7-.5-1.1-.5s-.8.2-1.1.5c-.3.3-.4.8-.4 1.3s.1 1 .4 1.3c.3.3.7.5 1.1.5s.8-.2 1.1-.5z"/></svg>',
    'dxrd-svg-fieldlist-stringfield': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M6 6.1c.5.5.8 1.2.8 2.2V12H5.1v-.8c-.3.6-.9.9-1.9.9-.5 0-.9-.1-1.2-.3-.3-.2-.6-.4-.8-.7-.2-.3-.3-.6-.3-1 .1-.6.3-1.1.7-1.4.4-.3 1.1-.5 2-.5H5c0-.4-.1-.7-.4-1-.2-.2-.5-.3-1-.3-.3 0-.6 0-.9.1-.4.2-.6.3-.8.5l-.7-1.3c.4-.3.8-.5 1.2-.6.5-.1.9-.2 1.4-.2 1 0 1.7.2 2.2.7zm-1.5 4.5c.2-.1.4-.4.5-.7v-.6H3.8c-.7 0-1.1.3-1.1.8 0 .2.1.4.3.6.2.1.4.2.7.2.3-.1.6-.2.8-.3zm9-4.8c.5.3.8.7 1.1 1.2.3.5.4 1.1.4 1.7 0 .7-.1 1.3-.4 1.8-.3.5-.6.9-1.1 1.2-.5.3-1 .4-1.5.4-.8 0-1.5-.3-1.9-.8v.7H8.4V3h1.8v3.2c.4-.5 1.1-.8 1.8-.8.5 0 1 .1 1.5.4zm-.7 4.3c.3-.3.4-.8.4-1.3s-.1-1-.4-1.3c-.3-.3-.7-.5-1.1-.5s-.8.2-1.1.5c-.3.3-.4.8-.4 1.3s.1 1 .4 1.3c.3.3.7.5 1.1.5s.8-.2 1.1-.5z"/></svg>',
    'dxrd-svg-fieldlist-table': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M14 1H2c-.5 0-1 .5-1 1v12c0 .5.5 1 1 1h12c.5 0 1-.5 1-1V2c0-.5-.5-1-1-1zM9 3v2H7V3h2zm0 4v2H7V7h2zM3 3h2v2H3V3zm0 4h2v2H3V7zm0 6v-2h2v2H3zm4 0v-2h2v2H7zm6 0h-2v-2h2v2zm0-4h-2V7h2v2zm0-4h-2V3h2v2z"/></svg>',
    'dxrd-svg-fieldlist-time': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M8 1C4.1 1 1 4.1 1 8s3.1 7 7 7 7-3.1 7-7-3.1-7-7-7zm0 12c-2.8 0-5-2.2-5-5s2.2-5 5-5 5 2.2 5 5-2.2 5-5 5zm3-5v1H7V5h1v3h3z"/></svg>',
    'dxrd-svg-fieldlist-view': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M14.7 13.3l-3.5-3.5C11.7 9 12 8 12 7c0-2.8-2.2-5-5-5S2 4.2 2 7s2.2 5 5 5c1 0 2-.3 2.8-.8l3.5 3.5c.4.4 1 .4 1.4 0s.4-1 0-1.4zM7 10c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3-1.3 3-3 3z"/></svg>',
    'dxrd-svg-filtereditor-add': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-filter-editor-add-icon-fill-color" d="M20 10h-6V4h-4v6H4v4h6v6h4v-6h6z"/></svg>',
    'dxrd-svg-filtereditor-edit': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path class="dxd-filter-editor-text-color" d="M4 7h8l-4 4z"/></svg>',
    'dxrd-svg-filtereditor-remove': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-filter-editor-remove-icon-fill-color" d="M18 6l-2-2-5 5-5-5-2 2 5 5-5 5 2 2 5-5 5 5 2-2-5-5z"/></svg>',
    'dxrd-svg-fontstyle-bold': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M14.4 10.8c1.1.3 1.9.7 2.5 1.3.8.8 1.1 1.8 1.1 3 0 .9-.2 1.8-.7 2.6-.5.8-1.2 1.4-2 1.8-.9.4-2.2.6-4 .6H4v-.5h.4c.7 0 1.1-.2 1.4-.7.2-.5.2-2 .2-3V6c0-1.1 0-2.6-.3-2.9-.3-.4-.7-.6-1.3-.6H4V2h6.6c1.3 0 2.3.1 3.1.3 1.2.3 2.1.9 2.7 1.7s.9 1.7.9 2.8c0 .9-.2 1.7-.7 2.4-.5.7-1.2 1.3-2.2 1.6zM8 10H10.6c1.1 0 2 0 2.6-.3.6-.3.9-.6 1.2-1.2.3-.6.5-1.2.5-1.9 0-1.1-.4-2-1.1-2.7S11.4 3 10 3H8v7zm0 8.9h3c1.4 0 2.5-.3 3.2-1s1.1-1.6 1.1-2.7c0-.7-.2-1.4-.5-2-.3-.6-.9-1.2-1.6-1.5-.8-.4-1.5-.7-2.7-.7H8v7.9z"/></svg>',
    'dxrd-svg-fontstyle-italic': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M14 21.5l-.2.5H6l.2-.5c.8 0 1.3-.1 1.6-.2.4-.2.7-.4.9-.7.3-.5.5-1.3.8-2.5l2.4-12c.3-1.3.3-1.8.3-2.3 0-.3-.1-.5-.2-.6s-.3-.3-.6-.4c-.3-.1-.7-.1-1.5-.1l.3-.7H18l-.2.5c-.6 0-1.4.1-1.7.2-.4.2-.8.5-1 .8-.1.5-.5 1-.8 2.5L12 18.1c-.2 1.3-.3 1.7-.3 2.1 0 .2.1.5.2.6.1.2.3.3.6.4s.7.2 1.5.3z"/></svg>',
    'dxrd-svg-fontstyle-strikeout': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M20 12h-5.3c-.7-.4-1.7-.9-2.9-1.5-2.4-1.2-3.9-2.1-4.6-2.8-.4-.5-.7-1-.7-1.6 0-.8.3-1.4 1-2.1.6-.4.8-.7 2.1-.9.9-.1 1.9.2 2.8.7.9.4 1.6 1 2.1 1.8s.8 1.4 1 2.4h.5V2h-.5c-.1.4-.2.7-.4.9-.2.1-.4.2-.7.2-.2 0-.6-.1-1.2-.4-1.3-.5-2.5-.7-3.6-.7-1.8 0-3 .8-3.9 1.5C4.5 4.4 4 5.7 4 7c0 .8.2 1.5.6 2.2s1 1.3 1.7 1.8c.4.3.9.6 1.6 1H2v2h9.7c.9.5 1.5.8 1.8 1 .6.4 1 .9 1.3 1.3s.4 1 .4 1.4c0 .8-.4 1.6-1.1 2.2-.8.6-1.8.9-3.1.9-1.1 0-2.1-.2-3.1-.7-.9-.5-1.8-1-2.3-1.7-.2-.2-.8-1.4-1-2.4H4v6h.6c.1-.4.2-.7.3-.9.2-.1.4-.2.6-.2.3 0 1.1.1 2.1.4s1.7.5 2 .5c.5.1 1.1.1 1.7.1 1.9 0 3.5-.5 4.8-1.6 1.2-1 1.9-2.3 1.9-3.7 0-.8-.2-1.5-.6-2.2-.1-.2-.2-.2-.3-.4H20v-2z"/></svg>',
    'dxrd-svg-fontstyle-underline': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M14 0v1h.9c.4 0 .7.1.8.2.3.4.3 1.2.3 2.3V12c0 .8 0 1.7-.1 2.6-.1 1-.5 1.8-1 2.3-1 .9-3 1.1-3.7 1.1-.7 0-2.9-.2-3.9-1.1-.7-.7-.9-1.3-1.1-2.2-.2-1.1-.2-2-.2-2.7V3.5c0-1.1 0-2 .3-2.2.2-.2.6-.3 1.1-.3H8V0H2v1h.9c.7 0 .9.1 1 .2.1.2.1 1.1.1 2.3v7.6c0 2.4.2 4 .5 4.8.5 1.2 1.3 2.3 2.4 3C8.7 20 9.9 20 11 20c1.4 0 2.6-.1 4.1-1.1 1.1-.8 1.9-1.7 2.3-3 .3-.9.4-2.5.4-4.8V3.5c0-1.2 0-1.9.3-2.2.3-.3.5-.3 1.3-.3h.6V0h-6zM2 22h18v2H2z"/></svg>',
    'dxrd-svg-menu-menu': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M21 7H3V5h18v2zm0 4H3v2h18v-2zm0 6H3v2h18v-2z"/></svg>',
    'dxrd-svg-menu-open': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M23 10h-4V7c0-.5-.5-1-1-1H9V4c0-.5-.5-1-1-1H2c-.5 0-1 .5-1 1v15c0 .5.5 1 1 1h17c.4 0 .7-.2.9-.6l4-8c.3-.6-.2-1.4-.9-1.4zM3 5h4v3h10v2H7.6c-.4 0-.7.2-.9.6L3 18V5z"/></svg>',
    'dxrd-svg-menu-save': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M21 2H3c-.5 0-1 .5-1 1v18c0 .5.5 1 1 1h18c.5 0 1-.5 1-1V3c0-.5-.5-1-1-1zM8 4h4v4H8V4zm8 16H8v-4h8v4zm4 0h-2v-5c0-.5-.5-1-1-1H7c-.5 0-1 .5-1 1v5H4V4h2v5c0 .5.5 1 1 1h10c.5 0 1-.5 1-1V4h2v16z"/></svg>',
    'dxrd-svg-menu-saveas': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M21 4H3c-.5 0-1 .5-1 1v18c0 .5.5 1 1 1h18c.5 0 1-.5 1-1V5c0-.5-.5-1-1-1zM8 6h4v4H8V6zm8 16H8v-4h8v4zm4 0h-2v-5c0-.5-.5-1-1-1H7c-.5 0-1 .5-1 1v5H4V6h2v5c0 .5.5 1 1 1h10c.5 0 1-.5 1-1V6h2v16zm2.5-22c.8 0 1.5.7 1.5 1.5S23.3 3 22.5 3 21 2.3 21 1.5 21.7 0 22.5 0zm-4 0c.8 0 1.5.7 1.5 1.5S19.3 3 18.5 3 17 2.3 17 1.5 17.7 0 18.5 0zm-4 0c.8 0 1.5.7 1.5 1.5S15.3 3 14.5 3 13 2.3 13 1.5 13.7 0 14.5 0z"/></svg>',
    'dxrd-svg-operations-add': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M7 0H5v5H0v2h5v5h2V7h5V5H7V0z" fill="#000"/></svg>',
    'dxrd-svg-operations-add_calcfield': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" fill-rule="evenodd" clip-rule="evenodd" d="M0 0h11v5H7v2H5v4H0V0zm3 4V1h2v1H4v2h1v1H4v3H2V7h1V5H2V4h1z"/><path class="dxd-icon-fill" d="M8 6h2v2h2v2h-2v2H8v-2H6V8h2V6z"/></svg>',
    'dxrd-svg-operations-add_datasource': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><ellipse class="dxd-icon-fill" cx="8" cy="2" rx="6" ry="2"/><path class="dxd-icon-fill" d="M16 10c-3.3 0-6 2.7-6 6s2.7 6 6 6 6-2.7 6-6-2.7-6-6-6zm3 7h-2v2h-2v-2h-2v-2h2v-2h2v2h2v2zM8 13c-3.1 0-6-.9-6-2v5c0 1.1 2.9 2 6 2h.3c-.2-.6-.3-1.3-.3-2 0-1.1.2-2.1.6-3H8zM14 8.3V4c0 1.1-2.9 2-6 2s-6-.9-6-2v5c0 1.1 2.9 2 6 2 .6 0 1.3 0 1.9-.1 1-1.3 2.5-2.2 4.1-2.6z"/></svg>',
    'dxrd-svg-operations-add_query': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M0 0h11v2H0V0zm0 3h2v2H0V3zm5 0H3v2h2V3zm1 0h2v2H6V3zm5 0H9v2h2V3zM0 6h2v2H0V6zm5 0H3v2h2V6zM0 9h2v2H0V9zm5 0H3v2h2V9zm3-1V6h2v2h2v2h-2v2H8v-2H6V8h2z"/></svg>',
    'dxrd-svg-operations-arrowdown': '<svg data-bind="svgAttrs" width="10" height="6" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M.23.226a.75.75 0 011.058.02l3.704 3.927L8.696.245a.749.749 0 111.079 1.038L5.53 5.77a.749.749 0 01-1.078 0L.209 1.283A.748.748 0 01.23.226z" fill="#606060"/></svg>',
    'dxrd-svg-operations-arrowup': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" width="10" height="6" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M9.77 5.774a.75.75 0 01-1.058-.02L5.008 1.828 1.304 5.755A.749.749 0 11.225 4.717L4.47.23a.749.749 0 011.078 0l4.244 4.488a.748.748 0 01-.02 1.057z" fill="#606060"/></svg>',
    'dxrd-svg-operations-ascending': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M12 0L6 6h4v16h4V6h4z"/></svg>',
    'dxrd-svg-operations-descending': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M12 22l6-6h-4V0h-4v16H6z"/></svg>',
    'dxrd-svg-operations-edit': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg">\<path class="dxd-icon-fill" d="M0 12h2.667L0 9.333V12zm1.333-4L4 10.667l5.333-5.334-2.666-2.666L1.333 8zm8-8L8 1.333 10.667 4 12 2.667 9.333 0z"/></svg>',
    'dxrd-svg-operations-movedown': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M6 10l6 6 6-6V6l-6 6-6-6z"/></svg>',
    'dxrd-svg-operations-moveleft': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M12 6l-6 6 6 6h4l-6-6 6-6z"/></svg>',
    'dxrd-svg-operations-moveleft_all': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M12 6H8l-6 6 6 6h4l-6-6z"/><path class="dxd-icon-fill" d="M20 6h-4l-6 6 6 6h4l-6-6z"/></svg>',
    'dxrd-svg-operations-moveright': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M10 18l6-6-6-6H6l6 6-6 6z"/></svg>',
    'dxrd-svg-operations-moveright_all': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M10 18h4l6-6-6-6h-4l6 6z"/><path class="dxd-icon-fill" d="M2 18h4l6-6-6-6H2l6 6z"/></svg>',
    'dxrd-svg-operations-moveup': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M18 12l-6-6-6 6v4l6-6 6 6z"/></svg>',
    'dxrd-svg-operations-rebuild_schema': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M9.5 0L12 5h-1.5v2.36c0 2.489-2.382 4.285-4.775 3.601l.55-1.923A1.746 1.746 0 008.5 7.36V5H7l2.5-5zm-6 4.64V7H5l-2.5 5L0 7h1.5V4.64c0-2.489 2.382-4.285 4.775-3.602l-.55 1.924A1.746 1.746 0 003.5 4.64z"/></svg>',
    'dxrd-svg-operations-recycle_bin': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M7 0H5v2H1v1h10V2H7V0z"/><path class="dxd-icon-fill" fill-rule="evenodd" clip-rule="evenodd" d="M2 4h8v7a1 1 0 01-1 1H3a1 1 0 01-1-1V4zm2 6h1V6H4v4zm3 0h1V6H7v4z"/></svg>',
    'dxrd-svg-operations-recycle_bin_xl': '<svg data-bind="svgAttrs" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" fill-rule="evenodd" clip-rule="evenodd" d="M6 19c0 1.1.9 2 2 2h8c1.1 0 2-.9 2-2V7H6v12zm4-9v8H9v-8h1zm5 8v-8h-1v8h1z"/><path class="dxd-icon-fill" d="M19 4h-5V3h-4v1H5v2h14V4z"/></svg>',
    'dxrd-svg-operations-remove': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M0 5h12v2H0z"/></svg>',
    'dxrd-svg-operations-rename': '<svg data-bind="svgAttrs" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path class="dxd-icon-fill" d="M9 0h3v1h-1v10h1v1H9v-1h1V1H9V0z"/><path class="dxd-icon-fill" fill-rule="evenodd" clip-rule="evenodd" d="M9 11H7l-.637-2.04H2.637L2 11H0L3.2 1h2.6L9 11zM5.75 7L4.5 3 3.25 7h2.5z"/></svg>',
    'dxrd-svg-operations-unsorted': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M0 20l6-6V6H2l5-6 5 6H8v6l6-6V0h2v4l4-4 2 2-6 6v8h4l-5 6-5-6h4v-6l-6 6v6H6v-4l-4 4z"/></svg>',
    'dxrd-svg-properties-borders-all': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M0 0v22h22V0H0zm20 20H2V2h18v18z"/></svg>',
    'dxrd-svg-properties-borders-bottom': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M0 12h2v4H0zM12 0h4v2h-4zM0 6h2v4H0zM18 2h2v2h2V0h-4zM6 0h4v2H6zM20 18v2H2v-2H0v4h22v-4zM2 4V2h2V0H0v4zM20 6h2v4h-2zM20 12h2v4h-2z"/></svg>',
    'dxrd-svg-properties-borders-left': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M6 0h4v2H6zM20 12h2v4h-2zM12 0h4v2h-4zM20 18v2h-2v2h4v-4zM20 6h2v4h-2zM4 20H2V2h2V0H0v22h4zM18 2h2v2h2V0h-4zM12 20h4v2h-4zM6 20h4v2H6z"/></svg>',
    'dxrd-svg-properties-borders-none': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M6 0h4v2H6zM20 12h2v4h-2zM12 0h4v2h-4zM20 18v2h-2v2h4v-4zM20 6h2v4h-2zM18 2h2v2h2V0h-4zM12 20h4v2h-4zM6 20h4v2H6zM0 6h2v4H0zM2 4V2h2V0H0v4zM2 18H0v4h4v-2H2zM0 12h2v4H0z"/></svg>',
    'dxrd-svg-properties-borders-right': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M12 20h4v2h-4zM0 6h2v4H0zM6 20h4v2H6zM2 4V2h2V0H0v4zM0 12h2v4H0zM18 2h2v18h-2v2h4V0h-4zM4 20H2v-2H0v4h4zM6 0h4v2H6zM12 0h4v2h-4z"/></svg>',
    'dxrd-svg-properties-borders-top': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M20 6h2v4h-2zM6 20h4v2H6zM20 12h2v4h-2zM4 20H2v-2H0v4h4zM12 20h4v2h-4zM2 4V2h18v2h2V0H0v4zM20 18v2h-2v2h4v-4zM0 12h2v4H0zM0 6h2v4H0z"/></svg>',
    'dxrd-svg-properties-propertiesmenu': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxd-icon-fill" d="M24 8h2V3c0-.5-.5-1-1-1H3c-.5 0-1 .5-1 1v5h22zM22 12H12v-2h10v2zm0 4v-2H12v2h10zM6 20h4v-2H6v2zm10-2h-4v2h4v-2zM6 16h4v-2H6v2zm0-4h4v-2H6v2zM32 25v-2l-2.5-.6c-.1-.4-.3-.8-.5-1.2l1.5-2.1-1.6-1.6-2.1 1.5c-.4-.2-.8-.4-1.2-.5L25 16h-2l-.6 2.5c-.4.1-.8.3-1.2.5l-2-1.5-1.7 1.7 1.5 2c-.2.4-.4.8-.5 1.2L16 23v2l2.5.6c.1.4.3.8.5 1.2l-1.5 2.1 1.6 1.6 2.1-1.5c.4.2.8.4 1.2.5L23 32h2l.6-2.5c.4-.1.8-.3 1.2-.5l2.1 1.5 1.6-1.6-1.5-2.1c.2-.4.4-.8.5-1.2L32 25zm-8 1c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"/></svg>',
    'dxrd-svg-properties-propertyexpression': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 12 12" xml:space="preserve"><path class="dxd-icon-fill" d="M4.8 6h-2l.4-2h1.9l.3-1.5c.1-.7.5-1.9 2.5-2.3C9 .1 10.2 0 11 0l-.5 2c-.2 0-1.1 0-1.9.2-.5 0-.6.3-.7.7L7.7 4H10l-.4 2H7.3l-.7 3.5c-.1.7-.5 1.9-2.5 2.3-1.1.1-2.3.2-3.1.2l.5-2c.2 0 1.1 0 1.9-.2.5-.1.6-.4.7-.7L4.8 6z" id="Background"/></svg>',
    'dxrd-svg-properties-search': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M2.6 21.4c.8.8 2 .8 2.8 0l4.6-4.6c1.2.7 2.6 1.1 4.1 1.1 4.4 0 8-3.6 8-8s-3.6-8-8-8-8 3.6-8 8c0 1.5.4 2.9 1.1 4.1l-4.6 4.6c-.8.8-.8 2 0 2.8zM10 10.1c0-2.2 1.8-4 4-4s4 1.8 4 4-1.8 4-4 4-4-1.9-4-4z"/></svg>',
    'dxrd-svg-properties-sortingbyalphabet': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M3.2 0L1 7h1.6L3 5.3h2L5.4 7H7L4.9 0H3.2zm0 4.2L3.8 2c0-.1.1-.4.2-.8v.1c0 .3.1.6.1.7l.5 2.2H3.2zM1 10h4l-4 5v1h6v-1H3l4-5V9H1zM13 12V0h-2v12H8l4 4 4-4z"/></svg>',
    'dxrd-svg-properties-sortingbygroups': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 16 16" xml:space="preserve"><path class="dxd-icon-fill" d="M1 7h7V0H1v7zm1-6h5v5H2V1zM9 1h6v1H9zM9 3h6v1H9zM9 5h6v1H9zM9 10h6v1H9zM9 12h6v1H9zM9 14h6v1H9z"/><path class="dxd-icon-fill" d="M5 2H4v1H3v1h1v1h1V4h1V3H5zM1 16h7V9H1v7zm1-6h5v5H2v-5z"/><path class="dxd-icon-fill" d="M5 11H4v1H3v1h1v1h1v-1h1v-1H5z"/></svg>',
    'dxrd-svg-properties-tasksmarttag': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path class="dxd-icon-fill" d="M14.6 6.9l-1.8-.3c-.1-.4-.3-.8-.5-1.1l1.1-1.4c.2-.2.1-.5-.1-.6l-.8-.8c-.2-.2-.5-.2-.7-.1l-1.4 1.1c-.4-.2-.7-.4-1.2-.5l-.1-1.8C9 1.2 8.8 1 8.6 1H7.4c-.2 0-.4.2-.5.4l-.2 1.8c-.4.1-.8.3-1.2.5L4.1 2.6c-.2-.1-.5-.1-.6.1l-.8.8c-.2.1-.2.4-.1.6l1.1 1.4c-.2.4-.4.8-.5 1.2l-1.8.2c-.2.1-.4.3-.4.5v1.1c0 .3.2.5.4.5l1.8.3c.1.4.3.8.5 1.1l-1.1 1.5c-.2.2-.1.5.1.6l.8.8c.2.2.5.2.7 0l1.4-1.1c.4.2.7.4 1.2.5l.3 1.8c-.1.3.1.5.3.5h1.1c.3 0 .5-.2.5-.4l.3-1.8c.4-.1.8-.3 1.2-.5l1.4 1.1c.2.1.5.1.7 0l.8-.8c.2-.2.2-.5.1-.6l-1.1-1.4c.2-.4.4-.7.5-1.1l1.8-.3c.1-.2.3-.4.3-.6V7.4c0-.2-.2-.4-.4-.5zM8 10c-1.1 0-2-.9-2-2s.9-2 2-2 2 .9 2 2-.9 2-2 2z"/></svg>',
    'dxrd-svg-properties-textAlignment-bottom': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxrd-svg-black" d="M28 18H4v-2h24v2zm0 2H4v2h24v-2zm0 4H4v2h24v-2z"/></svg>',
    'dxrd-svg-properties-textAlignment-center': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxrd-svg-black" d="M28 8H4V6h24v2zm-4 2H8v2h16v-2zm4 4H4v2h24v-2zm0 8H4v2h24v-2zm-4-4H8v2h16v-2z"/></svg>',
    'dxrd-svg-properties-textAlignment-justify': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxrd-svg-black" d="M28 8H4V6h24v2zm0 2H4v2h24v-2zm0 4H4v2h24v-2zm0 8H4v2h24v-2zm0-4H4v2h24v-2z"/></svg>',
    'dxrd-svg-properties-textAlignment-left': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxrd-svg-black" d="M28 8H4V6h24v2zm-8 2H4v2h16v-2zm8 4H4v2h24v-2zm0 8H4v2h24v-2zm-8-4H4v2h16v-2z"/></svg>',
    'dxrd-svg-properties-textAlignment-middle': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxrd-svg-black" d="M28 12H4v-2h24v2zm0 2H4v2h24v-2zm0 4H4v2h24v-2z"/></svg>',
    'dxrd-svg-properties-textAlignment-right': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxrd-svg-black" d="M28 8H4V6h24v2zm0 2H12v2h16v-2zm0 4H4v2h24v-2zm0 8H4v2h24v-2zm0-4H12v2h16v-2z"/></svg>',
    'dxrd-svg-properties-textAlignment-top': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><path class="dxrd-svg-black" d="M28 6H4V4h24v2zm0 2H4v2h24V8zm0 4H4v2h24v-2z"/></svg>',
    'dxrd-svg-queryBuilder-aggregate': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M21 0H3v4l8 8-8 8v4h18v-4H7l8-8-8-8h14z"/></svg>',
    'dxrd-svg-queryBuilder-data_preview': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M21.7 20.3l-2.5-2.5c.5-.8.8-1.8.8-2.8 0-2.8-2.2-5-5-5s-5 2.2-5 5 2.2 5 5 5c1 0 2-.3 2.8-.8l2.5 2.5c.4.4 1 .4 1.4 0 .4-.4.4-1 0-1.4zM15 18c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3-1.3 3-3 3z"/><ellipse class="dxd-icon-fill" cx="8" cy="2" rx="6" ry="2"/><path class="dxd-icon-fill" d="M8.7 13s-.1 0 0 0c-.1 0-.1 0 0 0H7.3C4.4 12.8 2 12 2 11v5c0 1 2.6 1.9 5.4 2H9c-.4-.9-.7-1.9-.7-2.9.1-.8.2-1.5.4-2.1zM14 8.2V4c0 1.1-2.9 2-6 2s-6-.9-6-2v5c0 1.1 2.9 2 6 2 .6 0 1.2 0 1.7-.1 1-1.4 2.5-2.4 4.3-2.7z"/></svg>',
    'dxrd-svg-queryBuilder-group_by': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M2 4h14v6H2zM8 14h14v6H8z"/></svg>',
    'dxrd-svg-queryBuilder-select_statment': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M18 4l-4-4v4zM21.7 22.3l-4.5-4.5c.5-.8.8-1.8.8-2.8 0-2.8-2.2-5-5-5s-5 2.2-5 5 2.2 5 5 5c1 0 2-.3 2.8-.8l4.5 4.5c.4.4 1 .4 1.4 0s.4-1 0-1.4zM13.1 18c-1.7 0-3-1.3-3-3s1.3-3 3-3 3 1.3 3 3-1.4 3-3 3z"/><path class="dxd-icon-fill" d="M13 8c2 0 3.7.8 5 2.1V6h-6V0H0v20h8.1C6.8 18.7 6 17 6 15c0-3.9 3.1-7 7-7z"/></svg>',
    'dxrd-svg-queryBuilder-sorting_asc': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M8 0H4v14H2l4 8 4-8H8zM14 14h6l-6 6v2h8v-2h-6l6-6v-2h-8zM19.4 0L14 10h2l.9-2H20v2h2V0h-2.6zm.6 6h-1.9L20 2v4z"/></svg>',
    'dxrd-svg-queryBuilder-sorting_desc': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M8 0H4v14H2l4 8 4-8H8zM22 0h-8v2h6l-6 6v2h8V8h-6l6-6zM14 22h2l.9-2H20v2h2V12h-2.6L14 22zm6-4h-1.9l1.9-4v4z"/></svg>',
    'dxrd-svg-tabs-description_info': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" class="dxd-description_info-icon dxd-icon-highlighted" width="18" height="18" fill="none"><circle class="dxd-description_info-icon-fill dxd-icon-fill" cx="9" cy="9" r="9"/><path class="dxd-description_info-icon-path-fill" d="M7.573 14l1.182-7.09h1.67L9.246 14H7.572zm2.262-8.107a.893.893 0 01-.665-.267.78.78 0 01-.23-.642.94.94 0 01.336-.642c.207-.178.442-.267.707-.267.268 0 .487.089.66.267a.78.78 0 01.23.642.916.916 0 01-.336.642 1.032 1.032 0 01-.702.267z"/></svg>',
    'dxrd-svg-tabs-properties': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M21.6 10.4l-2.6-.3c-.2 0-.3-.2-.4-.3-.1-.3-.2-.6-.3-.8-.1-.2-.1-.4 0-.5l1.5-2.1c.1-.2.1-.5 0-.7l-1.5-1.5c-.2-.2-.5-.2-.7 0l-2.1 1.5c-.2.1-.4.1-.5 0-.3-.1-.5-.2-.8-.3-.1-.1-.2-.2-.3-.4l-.4-2.5c0-.2-.2-.4-.5-.4h-2.1c-.2 0-.5.2-.5.4L10.1 5c0 .2-.2.3-.3.4l-.9.3c-.2.1-.4.1-.5 0L6.3 4.1c-.2-.1-.4-.1-.6.1L4.2 5.7c-.2.2-.2.4-.1.6l1.5 2.1c.1.2.1.4 0 .5 0 .3-.1.6-.2.8-.1.2-.2.3-.4.4l-2.5.4c-.2 0-.4.2-.4.5v2.1c0 .2.2.5.4.5l2.5.3c.2 0 .3.2.4.3.1.3.2.6.3.8.1.2.1.4 0 .5l-1.5 2.1c-.1.2-.1.5 0 .7l1.5 1.5c.2.2.5.2.7 0l2.1-1.5c.2-.1.4-.1.5 0 .3.1.5.2.8.3.2.1.3.2.3.4.1.6.3 1.9.4 2.6 0 .2.2.4.5.4h2.1c.2 0 .5-.2.5-.4l.4-2.5c0-.2.2-.3.3-.4.3-.1.6-.2.8-.3.2-.1.4-.1.5 0l2.1 1.5c.2.1.5.1.7 0l1.5-1.5c.2-.2.2-.5 0-.7l-1.5-2.1c-.1-.2-.1-.4 0-.5.1-.3.2-.5.3-.8.1-.2.2-.3.4-.3l2.5-.4c.2 0 .4-.2.4-.5V11c0-.3-.2-.5-.4-.6zM12 17c-2.8 0-5-2.2-5-5s2.2-5 5-5 5 2.2 5 5-2.2 5-5 5zm2-5c0 1.1-.9 2-2 2s-2-.9-2-2 .9-2 2-2 2 .9 2 2z"/></svg>',
    'dxrd-svg-toolbar-copy': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M4 14h2v2H3c-.5 0-1-.5-1-1V3c0-.5.5-1 1-1h12c.5 0 1 .5 1 1v3h-2V4H4v10zm18-5v12c0 .5-.5 1-1 1H9c-.5 0-1-.5-1-1V9c0-.5.5-1 1-1h12c.5 0 1 .5 1 1zm-2 1H10v10h10V10z"/></svg>',
    'dxrd-svg-toolbar-cut': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M20.4 5.6l-5 5-2-2 6.4-6.4c.4-.4 1.2-.1 1.2.5v1.5c0 .5-.2 1-.6 1.4zM22 17.5c.3 2.6-1.9 4.9-4.5 4.5-1.6-.2-2.9-1.4-3.3-3-.2-.9-.1-1.8.2-2.6L12 14l-2.4 2.4c.4.7.5 1.6.3 2.6-.4 1.6-1.7 2.8-3.3 3-2.6.3-4.9-1.9-4.5-4.5.2-1.6 1.4-2.9 3-3.3.9-.3 1.8-.2 2.5.2L10 12 3.6 5.6c-.4-.4-.6-.9-.6-1.4V2.7c0-.6.8-.9 1.2-.5l12.1 12.1c.8-.3 1.7-.5 2.6-.2 1.6.4 2.9 1.8 3.1 3.4zM8 18c0-1.1-.9-2-2-2s-2 .9-2 2 .9 2 2 2 2-.9 2-2zm12 0c0-1.1-.9-2-2-2s-2 .9-2 2 .9 2 2 2 2-.9 2-2z"/></svg>',
    'dxrd-svg-toolbar-delete': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M13.4 12l5.3-5.3c.4-.4.4-1 0-1.4-.4-.4-1-.4-1.4 0L12 10.6 6.7 5.3c-.4-.4-1-.4-1.4 0-.4.4-.4 1 0 1.4l5.3 5.3-5.3 5.3c-.4.4-.4 1 0 1.4.4.4 1 .4 1.4 0l5.3-5.3 5.3 5.3c.4.4 1 .4 1.4 0 .4-.4.4-1 0-1.4L13.4 12z"/></svg>',
    'dxrd-svg-toolbar-paste': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M21 8H9c-.5 0-1 .5-1 1v12c0 .5.5 1 1 1h12c.5 0 1-.5 1-1V9c0-.5-.5-1-1-1zm-1 12H10V10h10v10zM15 2v3H7V2h2V1c0-.6.4-1 1-1h2c.6 0 1 .4 1 1v1h2zm3 4h2V3c0-.5-.5-1-1-1h-3v2h2v2zM6 20H3c-.5 0-1-.5-1-1V3c0-.5.5-1 1-1h3v2H4v14h2v2z"/></svg>',
    'dxrd-svg-toolbar-redo': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M10 7c2.2 0 4.3.8 5.7 2.3l3.3 3.3V8c0-.6.4-1 1-1s1 .4 1 1v8h-8c-.6 0-1-.4-1-1s.4-1 1-1h4.6l-3.3-3.3C13.2 9.6 11.7 9 10 9c-3.3 0-6 2.7-6 6 0 .6-.4 1-1 1s-1-.4-1-1c0-4.4 3.6-8 8-8z"/></svg>',
    'dxrd-svg-toolbar-undo': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M14 7c-2.2 0-4.3.8-5.7 2.3L5 12.6V8c0-.6-.4-1-1-1s-1 .4-1 1v8h8c.6 0 1-.4 1-1s-.4-1-1-1H6.4l3.3-3.3C10.8 9.6 12.3 9 14 9c3.3 0 6 2.7 6 6 0 .6.4 1 1 1s1-.4 1-1c0-4.4-3.6-8-8-8z"/></svg>',
    'dxrd-svg-toolbar-validate': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M22 6L8 20l-6-6v-4l6 6L22 2v4z"/></svg>',
    'dxrd-svg-toolbar-zoomin': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path id="ZoomIn" class="dxd-icon-fill" d="M19 11h-6V5c0-.5-.5-1-1-1s-1 .5-1 1v6H5c-.5 0-1 .5-1 1s.5 1 1 1h6v6c0 .5.5 1 1 1s1-.5 1-1v-6h6c.5 0 1-.5 1-1s-.5-1-1-1z"/></svg>',
    'dxrd-svg-toolbar-zoomout': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path id="ZoomOut" class="dxd-icon-fill" d="M19 13H5c-.5 0-1-.4-1-1 0-.5.4-1 1-1h14c.5 0 1 .4 1 1s-.4 1-1 1z"/></svg>',
    'dxrd-svg-wizard-Download': '<svg data-bind="svgAttrs" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 24 24" xml:space="preserve"><path class="dxd-icon-fill" d="M7 12l5 5 5-5h-4V2h-2v10H7zm8-4v2h4v10H5V10h4V8H3v14h18V8h-6z"/></svg>',
    'dxrd-svg-wizard-expressions': '<svg data-bind="svgAttrs" version="1.1" id="Tabs" xmlns="http://www.w3.org/2000/svg" x="0" y="0" viewBox="0 0 32 32" xml:space="preserve"><path class="dxd-icon-fill" d="M25.6 4.3c-.3-.4-.7-.7-1.2-1-.6-.2-1.3-.3-2.2-.3-1.8 0-3.3.4-4.5 1.3s-1.9 2.1-2.2 3.6l-.3 1.4-.4 1.7h-2.4l-.4 2h2.4L12 24.3c-.2 1.3-.7 1.9-1.3 1.9-.2 0-.3 0-.4-.1l-.4-.4c-.3-.4-.6-.7-.7-.8-.2-.2-.4-.3-.6-.4-.2-.1-.4-.1-.7-.1-.5 0-1 .2-1.3.6-.4.4-.6.9-.6 1.5 0 .7.4 1.3 1.2 1.9.6.4 1.5.6 2.6.6s2.1-.2 2.9-.6 1.5-1.1 2.2-2c.6-.9 1.1-2.1 1.4-3.4l2.3-9.9H21l.5-2H19l.4-1.7.4-1.6c.2-.8.3-1.2.5-1.5.2-.3.5-.5.9-.5.2 0 .3 0 .5.1s.4.3.7.7c.3.3.6.6.9.7s.6.2.9.2c.4 0 .7-.1 1-.2.3-.2.5-.4.7-.7.2-.3.3-.7.3-1-.2-.5-.3-.9-.6-1.3z" id="Expressions"/></svg>',
    'dxrd-svg-wizard-FederationDataSource': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 96 96"><g class="dxrd-svg-st1"><ellipse class="dxrd-svg-black" cx="32" cy="11" rx="21" ry="5"/></g><path class="dxrd-svg-blue" d="M63 44H51V32h-6v12H33v6h12v12h6V50h12z"/><g class="dxrd-svg-st2"><path class="dxrd-svg-black" d="M65 55c-3.6 0-7-.2-10-.6V66H44v18c0 2.8 9.4 5 21 5s21-2.2 21-5V50c0 2.8-9.4 5-21 5z"/></g><g class="dxrd-svg-st1"><path class="dxrd-svg-black" d="M67 43v10c10.7-.2 19-2.4 19-5s-8.3-4.7-19-5z"/></g><g class="dxrd-svg-st2"><path class="dxrd-svg-black" d="M32 18c-11.6 0-21-2.2-21-5v34c0 2.5 8.9 4.6 19 5V41h12V29h11V13c0 2.8-9.4 5-21 5z"/></g><path class="dxrd-svg-blue" d="M65 43H53V31h-9v12H32v9h12v12h9V52h12z"/></svg>',
    'dxrd-svg-wizard-JsonDataSource': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 96 96"><g class="dxrd-svg-st2"><path class="dxrd-svg-black" d="M63.6 72.5c-.1-.2-.2-.4-.3-.7-.5-1.4-.8-2.9-.9-4.4-.1-2.3.4-4.5 1.5-6.3.7-1.2 1.7-2.4 2.8-3.2.4-.3 1.1-.7 1.1-.7s.5-.3 1.2-.6c.1.1.2.1.3.2 1.7 1.2 3 2.8 3.9 4.6.3.7.6 1.5.8 2.3v2.8c0 2.4-4.1 4.6-10.4 6zm-20.4-2.2c-.3-2.6-.3-5.3.2-7.9.4-2.3 1.2-4.5 2.2-6.5C48.9 49.5 55 44.6 62 42.8c1.4-.4 4.2-.8 5.8-.8 1.4 0 4.4.6 6.2 1.4v-22c0 4.2-11.6 7.6-26 7.6s-26-3.4-26-7.6v45c0 3.8 9.5 6.9 21.9 7.5-.3-1.2-.5-2.4-.7-3.6z"/></g><g class="dxrd-svg-st1"><ellipse class="dxrd-svg-black" cx="48" cy="19.5" rx="26" ry="7.5"/></g><path class="dxrd-svg-blue" d="M91.8 70.1c-.3 2.4-1 4.8-2 7-1.2 2.5-2.9 4.9-4.9 6.9-2.2 2.1-4.8 4-7.6 5.2-2 .9-5.5 1.9-9.1 1.9-1 0-3.3-.6-4.7-1.1-2.4-1-4.6-2.5-6.3-4.5-1.1-1.3-2-2.8-2.7-4.3-1.1-2.5-1.7-5.3-1.9-8.1-.1-2-.1-4 .2-5.9.5-3.1 1.8-6.2 4.1-8.5.4-.4 1.9-1.6 2.7-2.1.8-.5 3.2-1.3 4.5-1.4 1-.1 2 0 2.9.2-.5.3-1 .6-1.4 1-1.4 1-2.5 2.3-3.3 3.8-1.3 2.2-1.8 4.8-1.7 7.3 0 1.7.4 3.5 1 5.1.5 1.3 1.2 2.5 2.1 3.5.7.8 1.6 1.6 2.5 2.2.5.3 1 .7 1.6.9.5.2 1 .4 1.5.5 3.1.7 6.4-.4 8.9-2.2 1.5-1.1 2.8-2.6 3.8-4.2 1.4-2.2 2.2-4.7 2.5-7.2.2-1.5.2-3 .1-4.5-.1-2-.4-4.1-1-6-.8-3-2.3-5.8-4.4-8.1-.9-1-2-1.9-3.1-2.7-.2-.2-.5-.3-.7-.4-.2-.1-.5-.3-.7-.4 1.5.4 3 1 4.4 1.7 3.9 2 7.3 4.9 9.6 8.6.7 1 1.2 2.1 1.7 3.2.8 1.8 1.3 3.7 1.6 5.6.1 2.3.1 4.7-.2 7zm-40.1 8.6c-.6-2-.9-4.2-1-6.5-.1-1.5-.1-2.9.1-4.3.3-2.8 1.1-5.4 2.4-7.5 1-1.7 2.3-3.2 3.8-4.4 1.1-.8 2.3-1.5 3.5-1.9 1.3-.5 2.6-.7 4-.7.5 0 1.1 0 1.6.1.7.1 1.4.3 2 .5.1.1.7.3.8.4.4.2.9.5 1.5.9 2 1.4 3.5 3.2 4.5 5.4.9 1.9 1.3 4 1.4 6.3 0 2.4-.4 4.7-1.4 6.7-.8 1.7-2 3.3-3.4 4.5 2.2-.2 4.5-1.2 6.4-3 .4-.3.7-.7 1-1.1.5-.6.9-1.1 1.2-1.5.4-.7.8-1.4 1.2-2.2.5-1.1.8-2.1 1-3.1.3-1.7.4-3.5.3-5.8-.3-4.3-1.5-8-3.5-10.9-.4-.6-.7-1-1-1.4-.6-.7-1.3-1.3-2-2-.8-.7-1.1-.9-2.5-1.7S69 44 67.8 44c-1.3 0-4 .3-5.4.6-6.5 1.7-12 6.2-15 12.2-.9 1.9-1.6 3.9-2 6-.5 2.4-.5 4.8-.2 7.2.2 2 .7 3.9 1.5 5.7.4 1 .9 2.1 1.6 3.1 1.8 2.9 4.2 5.3 7.2 7.2-1.7-1.9-3-4.5-3.8-7.3z"/></svg>',
    'dxrd-svg-wizard-NoDataSource': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 96 96"><g class="dxrd-svg-st2"><path class="dxrd-svg-black" d="M44 68c0-12.2 9.8-22 22-22 1.4 0 2.7.1 4 .4v-24c0 4.2-11.6 7.6-26 7.6s-26-3.4-26-7.6v45c0 4.2 11.6 7.6 26 7.6h1.1c-.7-2.2-1.1-4.6-1.1-7z"/></g><g class="dxrd-svg-st1"><ellipse class="dxrd-svg-black" cx="44" cy="20.5" rx="26" ry="7.5"/></g><circle class="dxrd-svg-red" cx="66" cy="68" r="20"/><path class="dxrd-svg-white" d="M53.4 77.8C51.3 75.1 50 71.7 50 68c0-8.8 7.2-16 16-16 3.7 0 7.1 1.3 9.8 3.4L53.4 77.8zm25.2-19.6L56.2 80.6c2.7 2.1 6.1 3.4 9.8 3.4 8.8 0 16-7.2 16-16 0-3.7-1.3-7.1-3.4-9.8z"/></svg>',
    'dxrd-svg-wizard-ObjectDataSource': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 96 96"><g class="dxrd-svg-st2"><path class="dxrd-svg-black" d="M64.7 71H64V59h6v7.4c0 1.8-2 3.3-5.3 4.6zM52 52v7h12v-7H52zm-18 7h12V46h18v-7h6V21.4c0 4.2-11.6 7.6-26 7.6s-26-3.4-26-7.6v45c0 3.1 6.6 5.8 16 7V59z"/></g><g class="dxrd-svg-st1"><ellipse class="dxrd-svg-black" cx="44" cy="19.5" rx="26" ry="7.5"/></g><path class="dxrd-svg-blue" d="M82 41H66v7H48v13H36v26h26V75h13V57h7V41zm-9 32H62V61H50V50h16v7h7v16z"/></svg>',
    'dxrd-svg-wizard-SqlDataSource': '<svg data-bind="svgAttrs" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 96 96"><g class="dxrd-svg-st2"><path class="dxrd-svg-black" d="M48 29c-14.4 0-26-3.4-26-7.6v45c0 4.2 11.6 7.6 26 7.6s26-3.4 26-7.6v-45c0 4.2-11.6 7.6-26 7.6z"/></g><g class="dxrd-svg-st1"><ellipse class="dxrd-svg-black" cx="48" cy="19.5" rx="26" ry="7.5"/></g></svg>',
});
