﻿/**
* DevExpress Analytics (dx-analytics-core-templates.js)
* Version:  24.2.7
* Build date: Apr 29, 2025
* Copyright (c) 2012 - 2025 Developer Express Inc. ALL RIGHTS RESERVED
* License: https://www.devexpress.com/Support/EULAs/universal.xml
*/
import { SvgTemplatesEngine } from './property-grid/widgets/internal/_svgTemplateEngine';
SvgTemplatesEngine.addTemplates({
    'dxrd-bordereditor': '<div class="dxrd-bordereditor-content"> <!-- ko with: value--> <div class="dxrd-bordereditor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-borders-none" data-bind="template: \'dxrd-svg-properties-borders-none\', css: { \'dxd-state-active\': (!bottom() && !left() && !top() && !right()), \'dxrd-disabled-button\': disabled }, click: function() { setNone() }"></div> <div class="dxrd-bordereditor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-borders-all dxrd-bordereditor-right-margin" data-bind="template: \'dxrd-svg-properties-borders-all\', css: { \'dxd-state-active\': (bottom() && left() && top() && right()), \'dxrd-disabled-button\': disabled  }, click: function() { setAll() }"></div> <div class="dxrd-bordereditor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-borders-left" data-bind="template: \'dxrd-svg-properties-borders-left\', css: { \'dxd-state-active\': left(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'left\') }"></div> <div class="dxrd-bordereditor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-borders-top" data-bind="template: \'dxrd-svg-properties-borders-top\', css: { \'dxd-state-active\': top(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'top\') }"></div> <div class="dxrd-bordereditor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-borders-right" data-bind="template: \'dxrd-svg-properties-borders-right\', css: { \'dxd-state-active\': right(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'right\') }"></div> <div class="dxrd-bordereditor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-borders-bottom" data-bind="template: \'dxrd-svg-properties-borders-bottom\', css: { \'dxd-state-active\': bottom(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'bottom\') }"></div> <p></p> <!-- /ko --></div>',
    'dxd-dimension-notations': '<div class="dxd-dimension-notations-wrapper dxd-dimension-horizontal"  data-bind="visible: isHAxisVisible, css: { \'dxd-dimension-notations-inside-elt\' : isLocatedInsideContainer }"> <div class="dxd-dimension-notations-arrowed-line"> <span class="dxd-dimension-notations-text" data-bind="text: width"></span> </div> </div> <div class="dxd-dimension-notations-wrapper dxd-dimension-vertical" data-bind="visible: isVAxisVisible, css: { \'dxd-dimension-notations-inside-elt\' : isLocatedInsideContainer }"> <div class="dxd-dimension-notations-arrowed-line"> <span class="dxd-dimension-notations-text" data-bind="text: height"></span> </div> </div>',
    'dxrd-borders': '<div class="dxrd-bordereditor" data-bind="dxBorderEditor: $data"></div>',
    'dxrd-colorpicker': '<div data-bind="dxColorBox: { value: displayValue, onValueChanged: onValueChanged, placeholder: $root.getLocalization(\'(Not set)\', \'ReportStringId.UD_PropertyGrid_NotSetText\'), editAlphaChannel: true, disabled: disabled, dropDownOptions: { container: $root.getPopupContainer($element), position: { at: \'left bottom\', collision: \'flipfit flipfit\', my: \'left top\', boundary: $root.getPopupContainer($element), of: $element } }, inputAttr: { \'aria-label\': displayName, id: editorInputId } }"></div>',
    'dxrd-expressionstring': '<!-- ko if: value --> <div data-bind="dxExpressionEditor: getOptions({ options: value, fieldListProvider: $root.dataBindingsProvider, displayNameProvider: $root.displayNameProvider && $root.displayNameProvider() })"></div> <!-- /ko -->',
    'dxrd-field': '<!-- ko displayNameExtender: { path: path, dataMember: value, getPath: getPath, getDataMember: getDataMember } --> <!-- ko if: visible --> <div data-bind="dxFieldListPicker: { path: path, onValueChanged: onValueChanged, acceptCustomValue: true, value: value, displayValue: $displayName, itemsProvider: $root.dataBindingsProvider, treeListController: treeListController, disabled: disabled, inputAttr: {id: editorInputId} }"></div> <!-- /ko --> <!-- /ko -->',
    'dxrd-filterstring': '<!-- ko if: value --> <div data-bind="dxFilterEditor: { options: value, fieldListProvider: $root.dataBindingsProvider, getDisplayNameByPath: $root.getDisplayNameByPath, displayNameProvider: $root.displayNameProvider && $root.displayNameProvider() }"></div> <!-- /ko -->',
    'dxrd-filterstringgroup': '<!-- ko if: value --> <div data-bind="dxFilterEditor: { options: value, fieldListProvider: $root.dataBindingsGroupProvider, getDisplayNameByPath: $root.getDisplayNameByPath, displayNameProvider: $root.displayNameProvider && $root.displayNameProvider() }"></div> <!-- /ko -->',
    'dxrd-formatstring': '<div data-bind="dxFormatEditor: { value: value, disabled: disabled, actions: $data.actions, customPatterns: $data.customPatterns }"></div>',
    'dxrd-guid': '<div data-bind="dxTextBox: getOptions({ value: value, disabled: disabled, inputAttr: { \'aria-label\': displayName, id: editorInputId } }), dxValidator: { validationRules: (validationRules || []) }"></div>',
    'dxrd-emptyHeader': '',
    'dxrd-objectEditorContent': '<!-- ko if: $data.visible() && editorCreated --> <div data-bind="template: { name: \'dx-propertieseditor\', data: viewmodel }"></div> <!-- /ko -->',
    'dxrd-commonCollectionItem': '<div data-bind="template: { name: \'dx-propertieseditor\', data: getProperties() }"></div>',
    'dxrd-textalignment': '<div class="dxrd-textalignment-editor" data-bind="dxTextAlignmentEditor: $data"></div>',
    'dxrd-objectVisitor': '<!-- ko if: options --> <div data-bind="treelist: options"></div> <!-- /ko -->',
    'dxd-snap-lines-holder': '<div class="dxd-snap-lines-holder"> <div class="dxd-snap-line dxd-snap-line-horizontal" data-bind="style: { transform: snapLineSurfaces[0].transform() }"></div> <div class="dxd-snap-line dxd-snap-line-horizontal" data-bind="style: { transform: snapLineSurfaces[1].transform() }"></div> <div class="dxd-snap-line dxd-snap-line-vertical" data-bind="style: { transform: snapLineSurfaces[2].transform() }"></div> <div class="dxd-snap-line dxd-snap-line-vertical" data-bind="style: { transform: snapLineSurfaces[3].transform() }"></div> </div>',
    'dxrd-surface-template-base': '<!-- ko ifnot: isLoading --> <!-- ko with: surface --> <div class="dxrd-surface-wrapper" data-bind="css: { \'dxrd-context-menu-container\': selected() }, template: templateName, click: function(_, e) { $data.clickHandler($root.selection, e); }, event: $root.ContextMenusEnabled && $root.ContextMenusEnabled() ? { contextmenu: function(_, e) { $data.reportContextMenuHandler && $data.reportContextMenuHandler($root.selection, e); }} : null"> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: isLoading --> <div class="dxrd-surface-wrapper"></div> <!-- /ko -->',
    'dxrd-designer': '<div tabindex="-1" data-bind="cssArray: [surfaceClass($element), { \'dx-accessibility\': $data.accessibilityCompliant, \'dx-rtl\': $data.rtl } ]"> <div class="dxrd-designer-wrapper dx-editors dxd-surface-back-color dxd-scrollbar-color" data-bind="visible: (!designMode || designMode()), cssArray: [rootStyle, { \'dx-rtl\' : rtl, \'dx-ltr\': !rtl }]"> <!-- ko foreach: parts --> <!-- ko template: { name: templateName, data: viewModel || model }--> <!-- /ko --> <!-- /ko --> </div> <!-- ko if: ($data.addOns) --> <!-- ko foreach: addOns --> <!-- ko template: { name: templateName, data: model } --> <!-- /ko --> <!-- /ko --> <!-- /ko --> <div id="dxrd-designer-last-focus-item-blank" class="dxrd-visually-hidden" tabindex=\'-1\'></div> </div>',
    'dxrd-textalignment-editor': '<div class="dxrd-textalignment-editor-content"> <!-- ko with: value--> <div> <div class="dxrd-textalignment-editor-label dx-field-label" data-bind="text: verticalString"></div> <div class="dxrd-textalignment-editor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-textAlignment-top" data-bind="template: \'dxrd-svg-properties-textAlignment-top\', css: { \'dxd-state-active\': top(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'top\', \'Vertical\') }"></div> <div class="dxrd-textalignment-editor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-textAlignment-middle" data-bind="template: \'dxrd-svg-properties-textAlignment-middle\', css: { \'dxd-state-active\': middle(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'middle\', \'Vertical\') }"></div> <div class="dxrd-textalignment-editor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-textAlignment-bottom" data-bind="template: \'dxrd-svg-properties-textAlignment-bottom\', css: { \'dxd-state-active\': bottom(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'bottom\', \'Vertical\') }"></div> </div> <div class="dxrd-textalignment-margin-top"> <br/> <div class="dxrd-textalignment-editor-label dx-field-label" data-bind="text: horizontalString"></div> <div class="dxrd-textalignment-editor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-textAlignment-left" data-bind="template: \'dxrd-svg-properties-textAlignment-left\', css: { \'dxd-state-active\': left(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'left\', \'Horizontal\') }"></div> <div class="dxrd-textalignment-editor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-textAlignment-center" data-bind="template: \'dxrd-svg-properties-textAlignment-center\', css: { \'dxd-state-active\': center(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'center\', \'Horizontal\') }"></div> <div class="dxrd-textalignment-editor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-textAlignment-right" data-bind="template: \'dxrd-svg-properties-textAlignment-right\', css: { \'dxd-state-active\': right(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'right\', \'Horizontal\') }"></div> <div class="dxrd-textalignment-editor-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dxrd-image-textAlignment-justify" data-bind="template: \'dxrd-svg-properties-textAlignment-justify\', css: { \'dxd-state-active\': justify(), \'dxrd-disabled-button\': disabled }, click: function() { setValue(\'justify\', \'Horizontal\') }"></div> </div> <!-- /ko --> </div>',
    'dxrd-collectionactions-template': '<div class="dxrd-action-items-container"></div> <div class="dx-treelist-action" data-bind="dxButtonWithTemplate: { onClick: togglePopoverVisible, disabled: disabled, icon: ko.unwrap($data.imageTemplateName), iconClass: ko.unwrap($data.imageClassName) }, attr: { id: id, title: text }"></div> <div data-bind="dxPopup: { width: 235, height: \'auto\', position: { my: $root.rtl ? \'left top\': \'right top\', at: \'bottom\', of: (\'#\' + id) }, showTitle: false, showCloseButton: false, animation: {}, hideOnOutsideClick: true, container: ($data.getContainer || function(_e, selector) { return selector; })($element, \'.dxrd-action-items-container\'), shading: false, visible: popoverVisible }"> <!-- ko if: $data.contentTemplate--> <!-- ko template: contentTemplate--> <!-- /ko --> <!-- /ko --> <!-- ko if: !$data.contentTemplate --> <!-- ko foreach: actions --> <div class="dxrd-action-item dxd-button-back-color dxd-state-normal dxd-back-highlighted" data-bind="dxclick: clickAction, css: { \'dxrd-disabled-button\': disabled }"> <div class="dxrd-action-item-image" data-bind="css: ko.unwrap($data.imageClassName), template: {name: ko.unwrap($data.imageTemplateName), if: !!ko.unwrap($data.imageTemplateName)}, attr: { title: $data.displayText && $data.displayText() || text }"> </div> </div> <!-- /ko --> <!-- /ko --> </div>',
    'dxrd-drag-helper-source': '<div class="dxrd-drag-helper-source" data-bind="styleunit: { top: $data.top, left: $data.left, width: $data.width, height: $data.height }, css: { \'dxrd-locked\': $data.isLocked }"> <!-- ko foreach: $data.controls() --> <div class="dxrd-drag-helper-control" data-bind="styleunit: { left: $data.left, top: $data.top, width: $data.width, height: $data.height }, css: $data.className"> <!-- ko with: $parent.customData() --> <div data-bind="template: { name: $data.template, data: $data.data }"> </div> <!-- /ko --> </div> <!-- /ko --> </div>',
    'dxrd-drag-helper-source-reorder-treelist': '<div class="dxrd-drag-helper-source-reorder-treelist dxd-back-primary dxd-text-primary dxd-ghost-border-color dxd-border-accented"> <div class="dxrd-drag-helper-treelist-image" data-bind="css: $data.imageClassName, template: {name: $data.imageTemplateName, if: !!ko.unwrap($data.imageTemplateName)}"> </div> <div class="dxrd-drag-helper-treelist-text-wrapper"> <div class="dxrd-drag-helper-treelist-text" data-bind="text: text, attr: { title: text }"></div> </div> </div>',
    'dxrd-menubutton-template-base': '<div class="dxrd-menu-container dxrd-position-relative dxrd-width-0 dxrd-height-100" ></div> <div class="dxrd-menu-button dxd-toolbox-back-color dxd-border-primary dxd-back-primary2"> <div class="dxrd-menu-place dxrd-width-54px" ></div> <div class="dxrd-menu-button-image dxd-button-back-color dxd-state-normal dxd-back-highlighted" data-bind="dxclick: function(e) { if(stopPropagation) { stopPropagation = false; } else { toggleAppMenu() } }, template: \'dxrd-svg-menu-menu\', css: {\'dxd-state-active\': appMenuVisible }"></div> <div data-bind="dxPopup: { width: 250, wrapperAttr: { class: \'dxd-menu-back-color dxd-back-primary2\' }, height: \'100%\' , position: $data.rtl ? { my: \'right top\' , at: \'left top\' , offset: \'-10 0\' } : { my: \'left top\' , at: \'right top\' , offset: \'10 0\' }, showTitle: false, showCloseButton: false, container: getMenuPopupContainer($element), target: getMenuPopupTarget($element), animation: {}, hideOnOutsideClick: function(e) { var buttonClassName = \'dxrd-menu-button-image\'; var parentClassList = e.target.parentNode && e.target.parentNode.parentNode && e.target.parentNode.parentNode.classList; stopPropagation = (e.target.classList && e.target.classList.contains(buttonClassName)) || (parentClassList && parentClassList.contains(buttonClassName)); return true; }, shading: false, focusStateEnabled: false, visible: appMenuVisible }"> <div class="dxrd-menu-break dxd-popup-back-color dxd-back-primary2"></div> <!-- ko foreach: actionLists.menuItems --> <div class="dxrd-menu-item dxd-text-primary dxd-list-item-back-color dxd-back-highlighted" data-bind="dxclick: function(e) { if(disabled && !disabled() || !disabled) { $root.toggleAppMenu(); clickAction($root.model(), e); }}, css: { \'dxrd-disabled-button\': disabled }, visible: visible"> <div class="dxrd-menu-item-image" data-bind="css: ko.unwrap($data.imageClassName), template: {name: ko.unwrap($data.imageTemplateName), if: !!ko.unwrap($data.imageTemplateName)}, attr: { title: $data.displayText && $data.displayText() || text }"> </div> <div class="dxrd-menu-item-text" data-bind="text: $data.displayText && $data.displayText() || text, attr: { title: $data.displayText && $data.displayText() || text}"></div> <div class="dxrd-menu-item-separator" data-bind="visible: $data.hasSeparator"></div> </div> <!-- /ko --> </div> </div>',
    'dxrd-top-grid': '<!-- ko if: popularVisible --> <div class="dx-fieldset"> <div class="dx-accordion" data-bind="dxdAccordion: { collapsed: collapsed }"> <div class="dxrd-group-header dx-accordion-header dxd-border-primary" data-bind="css: { \'dxrd-group-header-collapsed\': collapsed() }"> <div class="dx-collapsing-image dxrd-display-inline-block" data-bind="template: \'dxrd-svg-collapsed\', css: { \'dx-image-expanded\': !collapsed() }" ></div> <span class="dxrd-group-header-text" data-bind="text: $root.actionsGroupTitle()"></span> </div> <div class="dx-accordion-content dxd-back-primary dxd-border-primary"> <!-- ko foreach: (contextActions || []) --> <!-- ko if: $data.templateName && !isContextMenuAction --> <!-- ko template: templateName  --> <!-- /ko --> <!-- /ko --> <!-- ko if: !$data.templateName && !isContextMenuAction --> <div class="dxrd-properties-grid-action" data-bind="dxclick: function() { if($data.disabled && !$data.disabled() || !$data.disabled) { clickAction($root.editableObject()); } }, css: { \'dxrd-disabled-button\': $data.disabled && $data.disabled() }, visible: (ko.unwrap($data.visible) == undefined) || ko.unwrap($data.visible)"> <div class="dxrd-properties-grid-action-image dxd-button-back-color dxd-state-normal dxd-back-highlighted" data-bind="css: $data.imageClassName, template: {name: $data.imageTemplateName, if: !!ko.unwrap($data.imageTemplateName)}, attr: { title: $data.displayText && $data.displayText() || text }"></div> </div> <!-- /ko --> <!-- /ko --> <!-- ko with: popularProperties --> <div class="dxrd-position-relative" data-bind="template: { name: \'dx-propertieseditor\', data: $data }"></div> <!-- /ko --> </div> </div> </div> <!-- /ko -->',
    'dxrd-group-actions': '<div class="dxd-back-primary2 dxrd-property-grid-actions-group"> <!-- ko if: groupActionsVisible --> <!-- ko foreach: (groupActions || []) --> <div class="dxd-border-primary dxrd-properties-grid-actions-group-content" data-bind="visible: items.some(x => !x.visible || ko.unwrap(x.visible))"> <div class="dxd-text-primary dxrd-properties-grid-action-name" data-bind="text: group"></div> <!-- ko foreach: (items || []) --> <!-- ko template: { name: $data.templateName, if: $data.templateName }  --> <!-- /ko --> <!-- ko if: !$data.templateName --> <div class="dxrd-properties-grid-action" data-bind="dxclick: function() { if($data.disabled && !$data.disabled() || !$data.disabled) { clickAction($root.editableObject()); } }, css: { \'dxrd-disabled-button\': $data.disabled && $data.disabled() }, visible: (ko.unwrap($data.visible) == undefined) || ko.unwrap($data.visible)"> <div class="dxrd-properties-grid-action-image dxd-button-back-color dxd-state-normal dxd-back-highlighted" data-bind="css: $data.imageClassName, template: {name: $data.imageTemplateName, if: !!ko.unwrap($data.imageTemplateName)}, attr: { title: $data.displayText && $data.displayText() || text }"> </div> </div> <!-- /ko --> <!-- /ko --> </div> <!-- /ko --> <!-- /ko--> </div>',
    'dx-propertygrid-searchbox': '<div class="dx-property-grid-search-group dx-property-grid-search-collapsed" data-bind="css: { \'dx-property-grid-search-collapsed\': !isSearching() }"> <div class="dx-property-grid-sorting-action dxd-button-back-color dxd-state-normal dxd-back-highlighted dxd-back-primary2 dx-button-has-text" data-bind="css: { \'dxd-state-active\': isSearching }, dxButtonWithTemplate: { onClick: switchSearchBox, icon: \'dxrd-svg-properties-search\', iconClass: \'image-search\' }, attr: { title: $root.getLocalization(\'Search\', \'ASPxReportsStringId.SearchDialog_Header\') }"> </div> <div class="dx-property-grid-search-box no-margin-right" data-bind="dxTextBox: { value: textToSearch, valueChangeEvent: \'keyup\', placeholder: searchPlaceholder(), showClearButton: true }, cacheElement: { action: function(element) { searchBox(element); } }"></div> </div>',
    'dxrd-propertiestab': '<div class="dxrd-properties-wrapper" data-bind="visible: active && visible"> <div class="dxd-text-primary dxrd-properties-sub-wrapper"> <div class="dxrd-right-panel-header"> <span data-bind="text: text"></span> </div> <!-- ko with: model --> <!-- ko if: $root.controlsStore.visible() --> <div class="dx-property-grid-header"> <div class="dx-property-grid-header-content"> <div class="dx-property-grid-sorting-actions-group" data-bind="css: { \'dx-property-grid-search-collapsed\': isSearching }"> <div class="dxrd-properties-focused-item" data-bind="dxSelectBox: { dataSource: $root.controlsStore.dataSource, value: focusedItem, displayExpr: displayExpr, dropDownOptions: { container: $root.getPopupContainer($element) }, useItemTextAsTitle: true }"></div> <div class="dx-property-grid-sorting-actions-container"> <div class="dx-property-grid-sorting-action dxd-state-normal dxd-back-highlighted dxd-back-primary2 dx-button-has-text" data-bind="css: { \'dxd-state-active dxd-state-no-hover\': !isSortingByGroups() }, dxButtonWithTemplate: { onClick: function() { $data.isSortingByGroups(false); }, icon: \'dxrd-svg-properties-sortingbyalphabet\', iconClass: \'image-sortingbyalphabet\' }"></div> <div class="dx-property-grid-sorting-action dxd-state-normal dxd-back-highlighted dxd-back-primary2 dx-button-has-text" data-bind="css: { \'dxd-state-active dxd-state-no-hover\': isSortingByGroups }, dxButtonWithTemplate: { onClick: function() { $data.isSortingByGroups(true); }, icon: \'dxrd-svg-properties-sortingbygroups\', iconClass: \'image-sortingbygroups\' }"></div> </div> </div> <!-- ko template: \'dx-propertygrid-searchbox\' --> <!-- /ko --> </div> </div> <!-- /ko --> <div class="dxrd-properties-grid dxd-border-primary" data-bind="dxScrollView: { showScrollbar: \'onHover\', useNative: false, scrollByThumb: true }"> <!-- ko template: { name: \'dxrd-group-actions\', data: { groupActions: $root.contextGroupActions, groupActionsVisible: $root.groupActionsVisible() } } --> <!-- /ko --> <!-- ko template: { name: \'dxrd-top-grid\', data: { contextActions: $root.contextActions, popularProperties: $root.popularProperties, collapsed: ko.observable(false), popularVisible: $root.popularVisible() && isSortingByGroups(), actionsGroupTitle: $root.actionsGroupTitle } } --> <!-- /ko --> <div data-bind="visible: isSortingByGroups"> <!-- ko foreach: groups --> <div class="dx-fieldset" data-bind="visible: visible"> <div class="dx-accordion" data-bind="dxdAccordion: { collapsed: collapsed }"> <div class="dxrd-group-header dx-accordion-header dxd-border-primary" data-bind="css: { \'dxrd-group-header-collapsed\': collapsed() }"> <div class="dx-collapsing-image dxrd-display-inline-block" data-bind="template: \'dxrd-svg-collapsed\', css: { \'dx-image-expanded\': !collapsed() }" ></div> <span class="dxrd-group-header-text" data-bind="text: displayName()"></span> </div> <div class="dx-accordion-content dxd-back-primary dxd-border-primary"> <!-- ko ifnot: editorsCreated --> <div class="dx-accordion-content-loading-panel"> <div data-bind="dxLoadIndicator: { visible: !editorsCreated() }"></div> </div> <!-- /ko --> <!-- ko if: $data.editorsRendered() --> <div data-bind="visible: editorsCreated"> <div class="dx-editors"> <!-- ko foreach: editors --> <!-- ko template: editorTemplate --> <!-- /ko --> <!-- ko if: ($index() === $parent.editors().length - 1 && $parent.editorsCreated(true)) --> <!-- /ko --> <!-- /ko --> </div> </div> <!-- /ko --> </div> </div> </div> <!-- /ko --> </div> <div class="dx-fieldset dxd-back-primary" data-bind="visible: !isSortingByGroups()"> <div data-bind="dxLoadIndicator: { visible: !allEditorsCreated() }"></div> <!-- ko if: $data.editorsRendered() --> <div data-bind="visible: allEditorsCreated"> <div class="dx-editors"> <!-- ko foreach: $data.getEditors() --> <!-- ko template: editorTemplate --> <!-- /ko --> <!-- ko if: ($index() === $parent._editors().length - 1 && $parent.allEditorsCreated(true)) --> <!-- /ko --> <!-- /ko --> </div> </div> <!-- /ko --> </div> <!-- ko template: \'dx-propertygrid-popupservice\' --> <!-- /ko --> <!-- ko template: { name: \'dx-propertygrid-popoverservice\', if: popover, data: popover.getViewModel() } --> <!-- /ko --> </div> <!-- /ko --> </div> </div>',
    'dx-propertygrid-popupservice': '<div data-bind="dxPopup: { width: 250, height: \'auto\', position: $data.rtl ? { my: \'left top\', at: \'right top\', of: popupService.target, collision: \'flipfit\' } : { my: \'right top\', at: \'left top\', of: popupService.target, collision: \'flipfit\' }, container: $root.getPopupContainer($element), target: popupService.target, showTitle: false, showCloseButton: false, animation: {}, hideOnOutsideClick: true, shading: false, visible: popupService.visible }"> <div data-options="dxTemplate: { name: \'content\' }"> <div class="dxrd-editor-menu-caption dxd-text-primary" data-bind="text: popupService.title, visible: popupService.title"></div> <div class="dxd-button-back-color" data-bind="dxMenu: { wrapperAttr: { class: \'dxd-button-back-color\' }, disabled: popupService.disabled, dataSource: popupService.actions, displayExpr: \'title\', cssClass: \'dxrd-editor-menu\', orientation: \'vertical\', showFirstSubmenuMode: \'onHover\', onSubmenuShowing: function(e) { e.submenu._overlay.option(\'container\', $root.getPopupContainer($element)) } }"> <div class="dxrd-editor-menu-item dxd-back-highlighted dxd-state-normal" data-options="dxTemplate: { name: \'item\' }"> <!-- ko if: $data.itemTemplate --> <!-- ko template: $data.itemTemplate --> <!--/ko--> <!--/ko--> <!-- ko ifnot: $data.itemTemplate --> <div data-bind="dxclick: action"> <span class="dxd-text-primary dx-menu-item-text" data-bind="attr: { title: title }, text: title"></span> <div class="dx-menu-item-popout-container" data-bind="visible: $data.items && $data.items.length"> <div class="dx-menu-item-popout"></div> </div> <!--ko if: $data.innerTemplate--> <!--ko template: $data.innerTemplate--> <!--/ko--> <!--/ko--> </div> <!--/ko--> </div> </div> </div> </div>',
    'dx-propertygrid-popoverservice': '<div data-bind="dxPopover: { container: getPopupContainer($element), target: target, position: \'bottom\', showCloseButton: false, onHiding: onHiding, hideOnOutsideClick: true, hideOnParentScroll: true, width: \'350px\', visible: visible }"> <div class="propertygrid-editor-description-popover-content"> <span data-bind="text: data"></span> </div> </div>',
    'dx-right-panel-lightweight': '<!-- ko with: tabPanel.getViewModel() --> <div class="dxrd-right-panel dx-shadow dx-shadow-right dxd-border-secondary dxd-property-grid-group-header-back-color dxd-back-primary2" data-bind="styleunit: { width: contentElement.width }, css: class, resizable: getResizableOptions($element, 1, $root.calculateWithZoomFactor(325))"> <!-- ko foreach: tabs --> <!-- ko lazy: { template: $data.template } --> <!-- /ko --> <!-- /ko --> </div> <!-- /ko -->',
    'dxrd-right-panel-template-base': '<div class="dx-shadow dx-shadow-right dxd-border-secondary dxrd-tab-panel-wrapper" data-bind="styleunit: { width: width }, css: class, dxMutationObserver: keyboardHelper"> <div class="dxrd-right-tabs dxd-side-panel-tabs-back-color dxd-back-contrast" data-bind="css: tabsElement.class"> <!-- ko foreach: $data.tabs --> <div role="button" class="dxrd-tab-item dx-accessibility-rightpanel-button dxd-side-panel-tab-back-color dxd-back-highlighted dx-accessibility-focus-border-accented" data-bind="dxAction: { action: function(s) { $data.click(); }}, css: css.class, attr: { title: text, \'aria-label\': text, \'aria-expanded\': !collapsed && active ? \'true\' : \'false\' }, visible: visible"> <div class="dxrd-image-padding" data-bind="css: image.class, template: {name: image.templateName, if: !!ko.unwrap($data.image.templateName)}"> </div> </div> <!-- /ko --> </div> <div class="dxrd-right-panel dxd-property-grid-group-header-back-color dxd-back-primary2" data-bind="styleunit: { width: contentElement.width }, css: contentElement.class, resizable: getResizableOptions($element, 50, 396)"> <!-- ko foreach: $data.tabs --> <!-- ko lazy: { template: $data.template } --> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-right-panel-switcher': '<div class="dx-right-panel-switcher"> <div class="dxrd-collectioneditor-action" data-bind="dxButtonWithTemplate: { icon: \'dxrd-svg-operations-edit\', iconClass: \'dx-image-edit\', disabled: disabled, onClick: toogle, hint: title }"></div> </div>',
    'dxrd-toolbar-template-base': '<div class="dxrd-toolbar-wrapper dxd-back-secondary-invariant dx-shadow-top"> <div class="dxrd-toolbar" data-bind="template: {name: \'dxrd-toolbar-tmplt\', data: actionLists.getViewModel().toolbarItems }"></div> </div>',
    'dxrd-toolbar-tmplt': '<!-- ko foreach: $data --> <!-- ko if: templateName --> <!-- ko template: { name: templateName, data: contentData || $data } --> <!-- /ko --> <!-- /ko --> <!-- ko if: !templateName --> <div class="dxrd-toolbar-item" data-bind="visible: visible, css: actionClass"> <div role="button" class="dx-accessibility-toolbar-item dx-accessibility-focus-border-accented" data-bind="attr: block.attr" > <div data-bind="template: { name: image.templateName, if: !!image.templateName }, attr: { class: image.class, title: displayText }, dxclick: click"> </div> <div class="dxrd-toolbar-item-separator dxd-toolbar-separator-color dxd-border-secondary" data-bind="visible: hasSeparator"></div> </div> </div> <!-- /ko --> <!-- /ko -->',
    'dxrd-toolbox-template-base': '<div class="dxrd-toolbox-wrapper dxd-toolbox-back-color dxd-back-primary2 dx-shadow dx-shadow-left" data-bind="dxScrollView: { showScrollbar: \'onHover\', scrollByContent: false, bounceEnabled: false, useNative: false, scrollByThumb: true }"> <!-- ko foreach: toolboxItems --> <div class="dxrd-toolbox-item dxd-icon-highlighted" data-bind="attr: { title: displayName }"> <div class="dxrd-image-padding dx-fontsize-reestablished" data-bind="template: {name: $data.imageTemplateName, if: !!ko.unwrap($data.imageTemplateName)}, css: $data.imageClassName, draggable: $root.toolboxDragHandler"> </div> </div> <!-- /ko --> </div>',
    'dxrd-grouped-toolbox-template-base': '<div class="dxrd-toolbox-wrapper dxd-toolbox-back-color dxd-back-primary2-invariant toolbox-grouped dx-shadow dx-shadow-left" data-bind="dxScrollView: { showScrollbar: \'onHover\', scrollByContent: false, bounceEnabled: false, useNative: false, scrollByThumb: true }"> <!-- ko foreach: groupedToolboxItems --> <div class="dxrd-toolbox-group dxd-border-primary"> <!-- ko foreach: items --> <div class="dxrd-toolbox-item dxd-icon-highlighted" data-bind="attr: { title: displayName }"> <div class="dxrd-image-padding dx-fontsize-reestablished" data-bind="template: {name: $data.imageTemplateName, if: !!ko.unwrap($data.imageTemplateName)}, css: $data.imageClassName, draggable: $root.toolboxDragHandler"> </div> </div> <!-- /ko --> </div> <!-- /ko --> </div>',
    'dxrd-zoom-select-template': '<div class="dxrd-toolbar-item-zoom" data-bind="visible: visible"> <div class="dxrd-toolbar-item-zoom-editor" data-bind="dxSelectBox: { items: widget.dataSource, value: widget.value, onValueChanged: widget.onValueChanged, displayExpr: widget.displayExpr, displayCustomValue: true, acceptCustomValue: true, onCustomItemCreating: widget.onCustomItemCreating, disabled: disabled, dropDownOptions: { container: getPopupContainer($element) }, useItemTextAsTitle: true }"></div> </div>',
    'dx-editor-addons': '<div class="dxrd-editormenu-boxes"> <!-- ko foreach: $data --> <!-- ko if: $data.visible --> <!-- ko if: $data.templateName --> <!-- ko template: $data.templateName --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: $data.templateName --> <!-- ko if: !ko.unwrap($data.imageTemplateName) --> <div class="dxrd-editormenu-box dxd-property-grid-menu-box-color dxd-back-contrast" data-bind="dxclick: function(_, element) { showPopup(_, element) }, css: editorMenuButtonCss, attr: { title: hint }"> <div class="dxrd-editormenu-box-inside dxd-back-secondary"></div> </div> <!-- /ko --> <!-- ko if: ko.unwrap($data.imageTemplateName) --> <div class="dxrd-editormenu-box dxd-property-grid-menu-box-color dxrd-editor-box-image" data-bind="dxclick: function(_, element) { showPopup(_, element) }, attr: { title: hint }, css: editorMenuButtonCss"> <div class="dxrd-editor-box-image-content" data-bind="template: { name: $data.imageTemplateName, if: ko.unwrap($data.imageTemplateName) }"></div> </div> <!-- /ko --> <!-- /ko --> <!-- /ko --> <!-- /ko --> </div>',
    'dx-collectioneditor': '<div class="dx-collectioneditor"> <div data-bind="dxdAccordion: { collapsed: collapsed, setCollapsed: setCollapsed, getCollapsed: getCollapsed, setCollapsedChangedEvent: setCollapsedChangedEvent, alwaysShow: alwaysShow }, dxMutationObserver: keyboardHelper"> <div class="dx-collectioneditor-header dx-accordion-header"> <div class="dx-editor-header"> <div role="treeitem" class="dx-field dx-accessibility-focus-border-accented dxrd-accessibility-accordion-trigger" data-bind="attr: { \'aria-expanded\': alwaysShow || !collapsed ? \'true\' : \'false\', \'aria-owns\': contentId, \'id\': headerId, }"> <!-- ko if: showButtons--> <!-- ko with: buttons --> <div class="dx-collectioneditor-actions-wrapper"> <!-- ko if: up.visible --> <div class="dx-collectioneditor-action dx-accessibility-focus-border-accented" data-bind="dxButton: { onClick: up.action, disabled: up.disabled, icon: \'dxrd-svg-operations-moveup\', template: up.template }, attr: { title: up.text }"></div> <!-- /ko --> <!-- ko if: down.visible --> <div class="dx-collectioneditor-action dx-accessibility-focus-border-accented" data-bind="dxButton: { onClick: down.action, disabled: down.disabled, icon: \'dxrd-svg-operations-movedown\', template: down.template }, attr: { title: down.text }"></div> <!-- /ko --> <div class="dx-collectioneditor-action-separator"></div> <!-- ko if: add.visible --> <div class="dx-collectioneditor-action dx-accessibility-focus-border-accented" data-bind="dxButton: { onClick: add.action, disabled: add.disabled, icon: \'dxrd-svg-operations-add\', template: add.template }, attr: { title: add.text }"></div> <!-- /ko --> <!-- ko if: delete.visible --> <div class="dx-collectioneditor-action dx-accessibility-focus-border-accented" data-bind="dxButton: { onClick: delete.action, disabled: delete.disabled, icon: \'dxrd-svg-operations-remove\', template: delete.template }, attr: { title: delete.text }"></div> <!-- /ko --> </div> <!-- /ko --> <!-- /ko --> <!-- ko if: displayName --> <div class="dx-collectioneditor-header-text dxd-text-primary" data-bind="styleunit: { \'paddingLeft\': padding }"> <div class="dx-collapsing-image dxrd-display-inline-block" data-bind="template: \'dxrd-svg-collapsed\', css: { \'dx-image-expanded\': !collapsed }"></div> <div class="dx-group-header-font dxd-text-primary dxrd-display-inline-block" data-bind="text: displayName, attr: { title: displayName }"></div> </div> <!-- /ko --> </div> </div> </div> <div role="group" class="dx-accordion-content" data-bind="attr: { \'aria-hidden\': !alwaysShow && collapsed ? \'true\' : \'false\', \'aria-labelledby\': headerId, \'id\': contentId }"> <div data-bind="visible: !disabled, dxScrollView: { showScrollbar: \'onHover\', disabled: !showScroll, useNative: false, scrollByThumb: true, onInitialized: function(e) { e.component.option(\'useKeyboard\', false); } }"> <!-- ko if: values.length === 0 --> <div class="dx-collectioneditor-empty dxd-empty-area-placeholder-text-color dxd-text-info"> <span class="dx-collectioneditor-empty-text" data-bind="text: emptyAreaText"></span> </div> <!-- /ko --> <!-- ko if: values.length !== 0 --> <div class="dx-collectioneditor-items" data-bind="foreach: values"> <div class="dx-collectioneditor-item-container dxd-button-back-color dxd-state-normal dxd-back-highlighted dx-accessibility-list-item dx-accessibility-focus-border-accented" data-bind="attr: { \'aria-selected\': selected }, dxAction: { model: $data, action: select }, css: { \'dxd-state-selected\' : selected }"> <div class="dx-collection-item"></div> </div> </div> <!-- /ko --> </div> </div> </div> </div>',
    'dx-boolean': '<div class="propertygrid-editor-checkbox" data-bind="dxCheckBox: getOptions({ value: value, disabled: disabled, elementAttr: { \'aria-label\': displayName } }), dxValidator: { validationRules: validationRules || [] }"></div>',
    'dx-boolean-select': '<div data-bind="dxLocalizedSelectBox: { dataSource: [ { val: true, text: $root.getLocalization(\'Yes\', \'AnalyticsCoreStringId.ParametersPanel_True\') }, { val: false, text: $root.getLocalization(\'No\', \'AnalyticsCoreStringId.ParametersPanel_False\') }], inputAttr: { \'aria-label\': displayName, id: editorInputId }, valueExpr: \'val\', displayExpr: \'text\', value: value, disabled: disabled, dropDownOptions: { container: $root.getPopupContainer($element) } }, dxValidator: { validationRules: validationRules || [] }"></div>',
    'dx-commonCollection': '<div class="dx-editor" data-bind="visible: visible"> <div data-bind="dxCollectionEditor: { values: value, displayName: displayName, level: level, info: info }"> </div> </div>',
    'dx-commonCollectionItem': '<div data-bind="template: { name: \'dx-propertieseditor\', data: getProperties() }"></div>',
    'item-with-title': '<div class="dx-listitem-with-title" data-bind="text: $data.display, attr: { title: $data.display }"></div>',
    'dx-combobox': '<div data-bind="dxLocalizedSelectBox: { dataSource: values, value: value, valueExpr: \'value\', displayExpr: \'displayValue\', displayCustomValue: true, disabled: disabled, dropDownOptions: { container: $root.getPopupContainer($element) }, popupPosition: { boundary: $root.getPopupContainer($element) }, inputAttr: { \'aria-label\': displayName, id: editorInputId } }, dxValidator: getValidatorOptions ? getValidatorOptions(validatorOptions || { validationRules: validationRules || [] }) : (validatorOptions || { validationRules: validationRules || [] })"> </div>',
    'dx-combobox-editable': '<div data-bind="dxLocalizedSelectBox: { items: values, value: value, valueExpr: \'value\', displayExpr: \'displayValue\', disabled: disabled, acceptCustomValue: true, onCustomItemCreating: function(arg) { return { value: arg.text, displayValue: arg.text }; }, dropDownOptions: { container: $root.getPopupContainer($element) }, popupPosition: { boundary: $root.getPopupContainer($element) }, inputAttr: { \'aria-label\': displayName, id: editorInputId }, useLocalizedTextAsValue: true }"> </div>',
    'dx-combobox-undo': '<div data-bind="dxLocalizedSelectBox: { dataSource: values, value: generateValue($root.undoEngine), valueExpr: \'value\', displayExpr: \'displayValue\', displayCustomValue: true, disabled: disabled, dropDownOptions: { container: $root.getPopupContainer($element) }, inputAttr: { id: editorInputId } }, dxValidator: getValidatorOptions ? getValidatorOptions(validatorOptions || { validationRules: validationRules || [] }) : (validatorOptions || { validationRules: validationRules || [] })"> </div>',
    'dx-property-editor': '<div class="dx-editor" data-bind="visible: visible"> <div class="dx-group" data-bind="dxdAccordion: { collapsed: collapsed, setCollapsed: setCollapsed, getCollapsed: getCollapsed, setCollapsedChangedEvent: setCollapsedChangedEvent }"> <div class="dx-editor-header"> <div class="dx-field" data-bind="attr: { role: \'treeitem\', \'id\': isComplexEditor && headerId, \'aria-owns\': isComplexEditor && contentId, \'aria-expanded\': isComplexEditor && (alwaysShow || !collapsed ? \'true\' : \'false\') }, css: {\'dxrd-accessibility-accordion-trigger dx-accessibility-focus-border-accented\': isComplexEditor}"> <div class="dx-field-label dx-accordion-header dxd-text-primary" data-bind="styleunit: padding, css: { \'dx-accordion-empty\': templateName === \'dx-emptyHeader\' }"> <!-- ko if: isComplexEditor --> <div data-bind="enable: templateName === \'dx-emptyHeader\'"> <!-- ko ifnot: $data.hideCollapsingButton --> <div class="dx-collapsing-image dxrd-display-inline-block" data-bind="template: \'dxrd-svg-collapsed\', css: { \'dx-image-expanded\': !ko.unwrap(collapsed) }"></div> <!-- /ko --> <!-- ko if: !!$data.textToSearch --> <div class="dx-group-header-font" data-bind="searchHighlighting: { text: displayName, textToSearch: textToSearch }, attr: { \'title\': displayName }, css: { \'dx-collapsing-image-hidden\': $data.hideCollapsingButton }"></div> <!-- /ko --> <!-- ko ifnot: !!$data.textToSearch --> <div class="dx-group-header-font" data-bind="text: displayName, attr: { \'title\': displayName }, css: { \'dx-collapsing-image-hidden\': $data.hideCollapsingButton }"></div> <!-- /ko --> </div> <!-- /ko --> <!-- ko if: !isComplexEditor --> <!-- ko if: !!$data.textToSearch --> <label class="propertygrid-editor-displayName" data-bind="searchHighlighting: { text: displayName, textToSearch: textToSearch }, attr: { \'title\': displayName, \'for\': editorInputId }, css: { \'dx-field-label-required\': isRequired }, style: { fontWeight: ko.unwrap(isPropertyModified) ? \'Bold\' : \'\'}"></label> <!-- /ko --> <!-- ko ifnot: !!$data.textToSearch --> <label class="propertygrid-editor-displayName" data-bind="text: displayName, attr: { \'title\': displayName, \'for\': editorInputId }, css: { \'dx-property-required\': isRequired }, style: { fontWeight: ko.unwrap(isPropertyModified) ? \'Bold\' : \'\'}"></label> <!-- /ko --> <!-- ko if: !$data.editorDescriptionAddon && $data.description --> <div data-bind="service: { name: \'createEditorDescriptionAddOn\' }"></div> <!-- /ko --> <!-- ko if: $data.editorDescriptionAddon --> <!-- ko template: { name: $data.editorDescriptionAddon.templateName, data: $data.editorDescriptionAddon.data } --><!-- /ko --> <!-- /ko --> <!-- /ko --> </div> <div class="dx-field-value" data-bind="css: { \'dxd-border-accented\': $data.isPropertyHighlighted }"> <div data-bind="service: { name: \'createEditorAddOn\' }"></div> <!-- ko if: templateName !== \'dx-emptyHeader\' --> <!-- ko lazy: { innerBindings: { template: templateName }, isResolved: function(val) { $data.setIsRendered(val) } } --> <!-- /ko --> <!-- /ko --> </div> </div> </div> <!-- ko if: isComplexEditor --> <div class="dx-editor-content dx-accordion-content" role="group" data-bind="attr: { \'aria-labelledby\': headerId, \'id\': contentId, \'aria-hidden\': !alwaysShow && collapsed ? \'true\' : \'false\' }"> <!-- ko if: editorCreated --> <!-- ko template: contentTemplateName --> <!-- /ko --> <!-- /ko --> </div> <!-- /ko --> </div> </div>',
    'dx-emptyHeader': '',
    'dx-property-grid-editor-description': '<div class="propertygrid-editor-description" data-bind="dxButtonWithTemplate: { onClick: onClick, icon: \'dxrd-svg-tabs-description_info\' }"></div>',
    'dx-date': '<div class="dx-datebox-container"> <div data-bind=" dxDateBox: getOptions({ value: value, closeOnValueChange: true, type: \'datetime\', disabled: disabled, inputAttr: { \'aria-label\': displayName, id: editorInputId }, dropDownOptions: { container: $root.getPopupContainer($element), position: { at: \'left bottom\', collision: \'flipfit flip\', my: \'left top\', boundary: $root.getPopupContainer($element), of: $element } } }), dxValidator: getValidatorOptions ? getValidatorOptions(validatorOptions || { validationRules: validationRules || [] }) : (validatorOptions || { validationRules: validationRules || [] })"></div> </div>',
    'dx-file': '<div data-bind="dxFileImagePicker: { value: value, placeholderId: \'File\', disabled: disabled }"></div>',
    'dx-modificators': '<div class="dx-font-content"> <div class="dx-field"> <div class="dx-field-label dxd-text-primary" data-bind="styleunit: { \'paddingLeft\': padding }"></div> <!-- ko with: value --> <div class="dx-field-value"> <div class="dx-font-styles-content"> <div class="dx-font-style-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dx-image-fontstyle-bold" data-bind="css: { \'dxd-state-active\': bold(), \'dx-disabled-button\': $parent.disabled }, click: function() { if(!ko.unwrap($parent.disabled)) { bold(!bold()); } }"><!-- ko template: \'dxrd-svg-fontstyle-bold\'--><!-- /ko --></div> <div class="dx-font-style-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dx-image-fontstyle-italic" data-bind="css: { \'dxd-state-active\': italic(), \'dx-disabled-button\': $parent.disabled }, click: function() { if(!ko.unwrap($parent.disabled)) { italic(!italic()); } }"><!-- ko template: \'dxrd-svg-fontstyle-italic\'--><!-- /ko --></div> <!-- ko ifnot: $parents[2].editorOptions && $parents[2].editorOptions.hideUnderline --> <div class="dx-font-style-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dx-image-fontstyle-underline" data-bind="css: { \'dxd-state-active\': underline(), \'dx-disabled-button\': $parent.disabled }, click: function() { if(!ko.unwrap($parent.disabled)) { underline(!underline()); } }"><!-- ko template: \'dxrd-svg-fontstyle-underline\'--><!-- /ko --></div> <!-- /ko --> <!-- ko ifnot: $parents[2].editorOptions && $parents[2].editorOptions.hideStrikeout --> <div class="dx-font-style-button dxd-button-back-color dxd-state-normal dxd-back-highlighted dx-image-fontstyle-strikeout" data-bind="css: { \'dxd-state-active\': strikeout(), \'dx-disabled-button\': $parent.disabled }, click: function() { if(!ko.unwrap($parent.disabled)) { strikeout(!strikeout()); } }"><!-- ko template: \'dxrd-svg-fontstyle-strikeout\'--><!-- /ko --></div> <!-- /ko --> </div> </div> <!-- /ko --> </div> </div>',
    'dx-image': '<div data-bind="dxFileImagePicker: { value: value, placeholderId: \'Image\', accept: \'image/*\', type: \'img\', disabled: disabled }"></div>',
    'dx-numeric': '<div data-bind="dxNumberBox: getOptions({ value:value, showSpinButtons:true, disabled:disabled, inputAttr: { \'aria-label\': displayName, id: editorInputId } }), dxValidator: getValidatorOptions ? getValidatorOptions(validatorOptions || { validationRules: validationRules || [] }) : (validatorOptions || { validationRules: validationRules || [] })"></div>',
    'dx-number-editor': '<div data-bind="dxTextBox: getOptions({ value: value, disabled: disabled, inputAttr: { \'aria-label\': displayName, id: editorInputId } }), dxValidator: getValidatorOptions ? getValidatorOptions(validatorOptions || { validationRules: validationRules || [] }) : (validatorOptions || { validationRules: validationRules || [] })"></div>',
    'dx-text': '<!-- ko if: $data.validationRules || $data.validatorOptions --> <div data-bind="dxTextBox: getOptions({ value: value, disabled: disabled, inputAttr: { \'aria-label\': displayName, \'id\': editorInputId }}), dxValidator: getValidatorOptions ? getValidatorOptions(validatorOptions || { validationRules: validationRules || [] }) : (validatorOptions || { validationRules: validationRules || [] })"></div> <!-- /ko --> <!-- ko if: !$data.validationRules --> <div data-bind="dxTextBox: getOptions({ value: value, disabled: disabled, inputAttr: { \'aria-label\': displayName, \'id\': editorInputId }})"></div> <!-- /ko -->',
    'dx-string-array': '<div class="dx-field" data-bind="css: { \'dxd-border-accented\': $data.isPropertyHighlighted }"> <div class="dx-string-array-container dx-texteditor dx-editor-outlined dx-multiline"> <textarea class="dx-string-array-textarea dx-texteditor-input" data-bind="value: value, disable: disabled"></textarea> </div> </div>',
    'dx-propertieseditor': '<div data-bind="css: { \'dx-rtl\' : rtl }"> <div class="dx-editors"> <div class="dx-fieldset"> <!-- ko foreach: editors --> <!-- ko template: editorTemplate --> <!-- /ko --> <!-- /ko --> </div> </div> </div>',
    'dx-objectEditorContent': '<!-- ko if: visible --> <div data-bind="template: { name: \'dx-propertieseditor\', data: viewmodel }"></div> <!-- /ko -->',
    'dxrd-federated-manageQueries-editor': '<!-- ko if: $data --><div> <div data-bind="dxPopup: { showTitle: true, width: \'750px\', height: \'475px\', title: title(), rtlEnabled: rtl, visible: popupVisible, wrapperAttr: { class: className }, toolbarItems: buttonItems, showCloseButton: true, container: $root.getPopupContainer($element), position: { of: $root.getPopupContainer($element) }, }"> <div class="dxrd-federated-manageQueries-grid-wrapper dxrd-cursor-default" > <div class="dxd-border-secondary dxrd-federated-manageQueries-grid" data-bind="dxDataGrid: queriesGrid"></div> </div> </div> </div><!-- ko template: { name: $data._queriesPopupHelper.template, data: _queriesPopupHelper } --><!-- /ko --><!-- /ko -->',
    'dx-querybuilder-federation-popup-templates': '<!-- ko if: $data --> <!-- ko foreach: $data.popupItems --> <!-- ko template: { name: template, data: model } --> <!-- /ko --> <!-- /ko --> <!-- /ko -->',
    'dxrd-managequeries-selectbox': '<!-- ko with: options --> <div class="dxrd-managequeries-selectbox"> <div data-bind="dxDropDownButton: $data"></div> </div> <!-- /ko -->',
    'dx-expressioneditor-main': '<div class="dx-expression-tree"> <!-- ko if: !aceAvailable --> <div class="dx-expressioneditor-textarea dxd-border-secondary dxd-back-primary2" data-bind="dxTextArea: { value: textAreaValue, isValid: isValid, spellcheck: false, onKeyUp: function() { isValid(true); } }, resizable: resizeHelper.resizable($root.resizeHandler, \'s\', $element)"></div> <!-- /ko --> <!-- ko if: aceAvailable --> <div class="dx-expressioneditor-textarea dxd-border-secondary dxd-back-primary2" data-bind="dxAceEditor: { value: textAreaValue, editorContainer: editorContainer, theme: theme, options: aceOptions, additionalOptions: additionalOptions, callbacks: callbacks }, resizable: resizeHelper.resizable($root.resizeHandler, \'s\', $element)"></div> <!-- /ko --> <div class="dx-expressioneditor-tools"> <!-- ko with: tools--> <div class="dx-expressioneditor-tools-tabs"> <!-- ko foreach: toolBox--> <div data-bind="visible: visible,  attr: { class: \'dx-expressioneditor-tools-tab dxd-back-primary2 \'+ ($data.templateName ? $data.templateName : \'\')}"> <!-- ko if: $data.templateName --> <!-- ko template: { name: $data.templateName }--> <!-- /ko --> <!-- /ko --> </div> <!-- /ko--> </div> <!-- /ko--> </div> </div>',
    'dx-expressioneditor': '<div> <div class="no-margin-right" data-bind="dxEllipsisEditor: { value: displayValue, buttonAction: function() { popupVisible(true); }, disabled: disabled, isValid: modelValueValid, warningMessage: modelValueWarning, inputAttr: { id: editorInputId } }"></div> <!-- ko template: \'dx-expressioneditor-popup\'--> <!--/ko--> </div>',
    'dx-expressioneditor-popup': '<div data-bind="dxPopup: { animation: { show: { type: \'fadeIn\', duration: 700 }, hide: { type: \'fadeOut\', duration: 700 } }, showTitle: true, wrapperAttr: { class: \'dx-expressioneditor dx-popup-general\' }, title: title(), visible: popupVisible, toolbarItems: buttonItems, showCloseButton: true, fullScreen: false, height: \'615px\', maxHeight: \'90%\', maxWidth: \'90%\', minHeight: 400, minWidth: 500, width: \'645px\', container: getPopupContainer($element), position: { of: getPopupContainer($element)}, onContentReady: onContentReady, onShowing: onShowing, onHiding: onHiding, onShown: onShown, resizeEnabled: true, onResize: function() { $data.resizeAceEditor() } }"> <!-- ko if: popupVisible --> <!-- ko template: "dx-expressioneditor-main" --> <!-- /ko --> <!-- /ko --> </div>',
    'dx-expressioneditor-categories': '<div class="dx-expressioneditor-tools-tab-content-wrapper dxd-border-secondary " data-bind="dxScrollView: { showScrollbar: \'onHover\' }, resizable: $parents[1].resizeHelper.resizable($root.resizeHandler, \'e\')"> <!-- ko foreach: content --> <!-- ko if: $data.templateName --> <!-- ko template: $data.templateName--> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: $data.templateName --> <div class="dx-expressioneditor-tools-tab-category dxd-list-item-back-color dxd-back-highlighted" data-bind="css: {\'dxd-state-selected\': content.isSelected }, text: displayName, dxclick: function() { $parent.click($data.content) }"> </div> <!-- /ko --> <!-- /ko --> </div>',
    'dx-expressioneditor-category-accordion': '<div class="dx-fieldset dxrd-margin-0" > <div data-bind="dxdAccordion: { collapsed: collapsed }"> <div class="dx-accordion-header dx-expressioneditor-tools-tab-accordion-header dxd-list-item-back-color dxd-back-highlighted" data-bind="css: {\'dxd-state-selected\': $data.isSelected }, dxclick: function() { $data.updateContent($data.allItems(), $data.isSelected); $parent.click($data.content) }"> <div class="dx-collapsing-image dxrd-display-inline-block" data-bind="template: \'dxrd-svg-collapsed\', css: { \'dx-image-expanded\': !collapsed() }" ></div> <span class="dx-expressioneditor-tools-tab-header" data-bind="text: displayName"></span> </div> <div class="dx-accordion-content"> <!-- ko foreach: items--> <div class="dx-expressioneditor-tools-tab-item dxd-text-primary dxd-list-item-back-color dxd-back-highlighted" data-bind="css: {\'dxd-state-selected\': isSelected }, text: $data.display, dxclick: function() { $parent.updateContent($data.data, $data.isSelected); $parents[1].click($parent.content); }"></div> <!-- /ko --> </div> </div> </div>',
    'dx-expressioneditor-description': '<div class="dx-expressioneditor-tools-tab-content-wrapper dxd-border-secondary " data-bind="dxScrollView: { showScrollbar: \'onHover\' }"> <div class="dx-expressioneditor-description-content dxd-text-primary" data-bind="text: content"></div> </div>',
    'dx-expressioneditor-fields': '<div class="dx-expressioneditor-fields"> <div data-bind="treeListSearchPanel: { controllers: [ ko.unwrap($data.parameters) ? ko.unwrap($data.parameters).treeListController : ko.unwrap($data.parameters), ko.unwrap($data.fields) ? ko.unwrap($data.fields).treeListController : ko.unwrap($data.fields) ] }"> </div> <div class="dx-expressioneditor-tools-tab-content-wrapper dxd-border-secondary " data-bind="dxScrollView: { showScrollbar: \'onHover\' }"> <!-- ko if: fields --> <div class="dx-treelist-wrapper" data-bind="treelist: fields"></div> <!-- /ko --> <!-- ko if: $data.parameters --> <div class="dx-treelist-wrapper" data-bind="treelist: parameters"></div> <!-- /ko --> </div> </div>',
    'dx-ee-treelist-item': '<div class="dx-treelist-item dxd-list-item-back-color dxd-back-highlighted" data-bind="visible: visible, event: { dblclick: function() { actions[0].clickAction($element); }}, styleunit: padding, css: { \'dx-treelist-item-selected dxd-state-selected\': isSelected }"> <div class="dx-treelist-item-images"> <!-- ko if: hasItems --> <div class="dx-treelist-collapsedbutton" data-bind="css: nodeImageClass, template: \'dxrd-svg-collapsed\', click: toggleCollapsed"></div> <!-- /ko --> <!-- ko ifnot: hasItems --> <div class="dx-treelist-collapsedbutton"></div> <!-- /ko --> <div class="dx-treelist-image" data-bind="css: $data.imageClassName, template: {name: $data.imageTemplateName, if: !!ko.unwrap($data.imageTemplateName)}, attr: { title: text }"> </div> </div> <div class="dx-treelist-caption"> <div class="dx-treelist-selectedcontent" data-bind="click: toggleSelected"> <!-- ko template: { name: \'dx-treelist-item-text-content\' } --> <!-- /ko --> </div> </div> </div>',
    'dx-expressioneditor-selectedcontent': '<!-- ko with: content --> <!-- ko template: $data--> <!-- /ko --> <!-- /ko -->',
    'dx-expressioneditor-collection': '<div class="dx-expressioneditor-tools-tab-content-wrapper dxd-border-secondary" data-bind="dxScrollView: { showScrollbar: \'onHover\' }"> <!-- ko foreach: items --> <div data-bind="attr: { class: \'dx-expressioneditor-tools-tab-item dxd-list-item-back-color dxd-text-primary dxd-back-highlighted \' + ($data.class ? $data.class : \'\') }, text: $data.displayName || $data.text, css: { \'dx-expressioneditor-state-selected dxd-state-selected\': $parent.selectedItem() === $data }, dxclick: function() { $parent.selectedItem($data); $parents[2].click($data); }, event: { dblclick: function() { $parents[2].dblclick($data, $element); } }"></div> <!-- /ko --> </div>',
    'dx-expressioneditor-collection-function': '<div class="dx-expressioneditor-collection-function"> <div class="dx-expressioneditor-collection-function-search"> <div data-bind="dxTextBox: { value: textToSearch, showClearButton: true, valueChangeEvent: \'keyup\', placeholder: $parents[2].searchPlaceholder() }"></div> </div> <div class="dx-expressioneditor-collection-function-items dxd-border-secondary" data-bind="dxScrollView: { showScrollbar: \'onHover\' }"> <!-- ko foreach: availableItems --> <div class="dx-expressioneditor-tools-tab-item dxd-list-item-back-color dxd-text-primary dxd-back-highlighted" data-bind="css: { \'dx-expressioneditor-state-selected dxd-state-selected\': $parent.selectedItem() === $data }, dxclick: function() { $parent.selectedItem($data); $parents[2].click($data); }, event: { dblclick: function() { $parents[2].dblclick($data, $element); } }, searchHighlighting: { text: $data.displayName || $data.text, textToSearch: $parent.textToSearch }"></div> <!-- /ko --> </div> </div>',
    'dx-filtereditor-content': '<div class="dx-filtereditor-tree-container" data-bind="css: { \'advanced\': advancedMode }"> <!-- ko template: \'dx-filtereditor-content-tree\' --> <!-- /ko --> </div> <div class="dx-filtereditor-text-container" data-bind="css: { \'advanced\': advancedMode }, visible: textVisible"> <!-- ko template: \'dx-filtereditor-content-text\'--> <!-- /ko --> </div>',
    'dx-filtereditor-plain-content-text': '<div class="dx-filtereditor-text-container" data-bind="css: $data.getTextCssClasses(), style: { height: textContentHeightPerc }"> <!-- ko template: \'dx-filtereditor-content-text\'--> <!-- /ko --> </div>',
    'dx-filtereditor-content-plain': '<div class="dx-filtereditor-plain-advanced" data-bind="dxCheckBox: { value: advancedMode, text: advancedModeText }, style: $data.getCheckBoxStyles()"></div> <div class="dx-filtereditor-plain-content" data-bind="style: $data.getContentStyles()"> <!-- ko if: $data.advancedModeTop() --> <!-- ko template: \'dx-filtereditor-plain-content-text\'--> <!-- /ko --> <!-- /ko --> <div class="dx-filtereditor-tree-container" data-bind="css: { \'advanced\': advancedMode }"> <!-- ko template: \'dx-filtereditor-content-tree\' --> <!-- /ko --> </div> <!-- ko ifnot: $data.advancedModeTop() --> <!-- ko template: \'dx-filtereditor-plain-content-text\'--> <!-- /ko --> <!-- /ko --> <div class="dx-filtereditor-plain-disabled" data-bind="visible: $data.options().disabled()"></div> </div>',
    'dx-filtereditor-content-text': '<!-- ko if: !aceAvailable --> <div class="dx-filtereditor-text dx-default-border-style dxd-border-secondary" data-bind="dxTextArea: { value: displayValue, isValid: isValid, onInput: onInput, spellcheck: false }, cacheElement: { action: function(element) { cacheElement(element) } }"></div> <!-- /ko --> <!-- ko if: aceAvailable --> <div class="dx-filtereditor-text dx-default-border-style dxd-border-secondary dx-textarea dx-textbox dx-texteditor dx-editor-filled" data-bind="css: {\'dx-invalid\': !$data.isValid(), \'dx-state-focused\': textFocused }"> <div class="dx-texteditor-container"> <div class="dx-filtereditor-ace dxd-back-primary2" data-bind="dxAceEditor: { value: $data.displayValue, theme: helper.aceTheme, editorContainer: editorContainer, options: aceOptions, additionalOptions: additionalOptions }"></div> <div class="dx-texteditor-buttons-container"></div> </div> </div> <!-- /ko -->',
    'dx-filtereditor-content-tree': '<div class="dx-filtereditor-tree dxd-border-secondary" data-bind="dxScrollView: { showScrollbar: \'onHover\', direction: \'both\' }"> <!-- ko with: operandSurface --> <!-- ko template: { name: $data.templateName, data: $data, if: $parent.isSurfaceValid }--> <!-- /ko --> <!-- /ko --> </div> <!-- ko ifnot: isSurfaceValid --> <div class="dx-filtereditor-tree-lockscreen" data-bind="dxclick: function() { $data.advancedMode(true); }"> <div class="dx-filtereditor-tree-lockscreen-content"> <div class="dx-filtereditor-tree-lockscreen-content-text" data-bind="text: invalidMessage()"> </div> </div> </div> <!-- /ko -->',
    'dx-filtereditor': '<div> <div class="no-margin-right" data-bind="dxEllipsisEditor: { value: modelDisplayValue, isValid: modelValueIsValid, disabled: disabled, buttonAction: function() { popupVisible(true); }, inputAttr: { id: editorInputId } }"></div> <!-- ko template: \'dx-filtereditor-popup\' --> <!-- /ko --> </div>',
    'dx-filtereditor-advanced': '<div class="dx-filtereditor dxrd-width-100 dxrd-height-100"  data-bind="style: { pointerEvents: $data.options().disabled() ? \'none\' : \'\' }"> <!-- ko template: \'dx-filtereditor-content\' --> <!-- /ko --> <!-- ko template: \'dx-filtereditor-content-popups\' --> <!-- /ko --> </div>',
    'dx-filtereditor-plain': '<div class="dx-filtereditor dxrd-width-100 dxrd-height-100"> <!-- ko template: \'dx-filtereditor-content-plain\' --> <!-- /ko --> <!-- ko template: \'dx-filtereditor-content-popups\' --> <!-- /ko --> </div>',
    'dx-filtereditor-aggregate-common': '<!-- ko with: property--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> <div data-bind="service: { name: \'createChangeType\' }"></div> <!-- ko if: $data.aggregatedExpression() --> <div class="criteria-operator-text dxd-filter-editor-text-color">(</div> <!-- ko with: aggregatedExpression--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> <div class="criteria-operator-text dxd-filter-editor-text-color">)</div> <!-- /ko -->',
    'dx-filtereditor-aggregate': '<div class="criteria-operator-group"> <div class="criteria-operator-group-item"> <div class="criteria-operator-action" data-bind="dxclick: function() {  $data.remove && $data.remove(); }"> <div class="criteria-operator-action-image dx-image-filtereditor-remove" data-bind="visible: !!$data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> </div> <!-- ko template: { name: \'dx-filtereditor-aggregate-common\' }--> <!-- /ko --> </div> <div class="criteria-operator-content"> <!-- ko with: condition--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-filtereditor-between': '<div class="criteria-operator-group"> <div class="criteria-operator-group-item"> <div class="criteria-operator-action" data-bind="dxclick: function() {  $data.remove && $data.remove(); }"> <div class="criteria-operator-action-image dx-image-filtereditor-remove" data-bind="visible: !!$data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> </div> <!-- ko with: property--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> <div data-bind="service: { name: \'createChangeType\' }"></div> <!-- ko with: begin--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> <div class="criteria-operator-text dxd-filter-editor-text-color">and</div> <!-- ko with: end--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-filtereditor-binary': '<div class="criteria-operator-group"> <div class="criteria-operator-group-item"> <div class="criteria-operator-action" data-bind="dxclick: function() {  $data.remove && $data.remove(); }"> <div class="criteria-operator-action-image dx-image-filtereditor-remove" data-bind="visible: !!$data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> </div> <!-- ko with: leftOperand--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> <div data-bind="service: { name: \'createChangeType\' }"></div> <!-- ko with: rightOperand--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-filtereditor-common': '<!-- ko template: contentTemplateName --> <!-- /ko --> <!-- ko if: $data.leftPart && $data.leftPart.condition --> <div class="criteria-operator-content"> <!-- ko with: leftPart--> <!-- ko with: condition--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> <!-- /ko --> </div> <!-- /ko -->',
    'dx-filtereditor-function-lightweight': '<div class="criteria-operator-text dxd-filter-editor-text-color" data-bind="css: css"> <div class="criteria-operator-text dxd-filter-editor-text-color" data-bind="text: displayType"></div> <div data-bind="service: { name: \'createChangeValueType\' }"></div> </div>',
    'dx-filtereditor-function': '<div class="criteria-operator-group"> <div class="criteria-operator-group-item"> <div class="criteria-operator-action" data-bind="dxclick: function() {  $data.remove && $data.remove(); }"> <div class="criteria-operator-action-image dx-image-filtereditor-remove" data-bind="visible: !!$data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> </div> <!-- ko template: { name: $data.leftPart.templateName, data: $data.leftPart }--> <!-- /ko --> <div data-bind="service: { name: \'createChangeType\' }"></div> <!-- ko foreach: rightPart --> <!-- ko template: { name: $data.templateName, data: $data }--> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-filtereditor-group': '<div class="criteria-operator-group"> <div class="criteria-operator-group-item"> <div class="criteria-operator-action" data-bind="dxclick: function() {  $data.remove && $data.remove(); }"> <div class="criteria-operator-action-image dx-image-filtereditor-remove" data-bind="visible: !!$data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> </div> <div class="criteria-operator-item"> <div data-bind="service: { name: \'createChangeType\' }"></div> </div> <div data-bind="service: { name: \'createAddButton\' }"></div> </div> <div class="criteria-operator-content"> <!-- ko foreach: operands --> <!-- ko template: { name: templateName, data: $data } --> <!-- /ko--> <!-- /ko --> </div> </div>',
    'dx-filtereditor-in': '<div class="criteria-operator-group"> <div class="criteria-operator-group-item"> <div class="criteria-operator-action" data-bind="dxclick: function() {  $data.remove && $data.remove(); }"> <div class="criteria-operator-action-image dx-image-filtereditor-remove" data-bind="visible: !!$data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> </div> <!-- ko with: criteriaOperator--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko --> <div data-bind="service: { name: \'createChangeType\' }"></div> <!-- ko if: $data.operands().length > 1--> <div class="criteria-operator-item criteria-operator-text dxd-filter-editor-text-color">(</div> <div class="criteria-operator-item"> <!-- ko foreach: $data.operands() --> <!-- ko template: { name: $data.templateName, data: $data }--> <!-- /ko --> <div class="criteria-operator-item criteria-operator-text dxd-filter-editor-text-color">,</div> <!-- /ko --> </div> <div class="criteria-operator-item criteria-operator-text dxd-filter-editor-text-color">)</div> <!-- /ko --> <!-- ko if: $data.operands().length == 1--> <!-- ko template: { name: $data.operands()[0].templateName, data: $data.operands()[0] }--> <!-- /ko --> <!-- /ko --> <div class="criteria-operator-action" data-bind="dxclick: addValue"> <div class="criteria-operator-action-image dx-image-filtereditor-add"><!-- ko template: \'dxrd-svg-filtereditor-add\' --><!-- /ko --></div> </div> </div> </div>',
    'dx-filtereditor-parameter': '<div class="criteria-operator-text dxd-filter-editor-text-color" data-bind="css: css"> <div data-bind="service: { name: \'createChangeParameter\' }"></div> <!-- ko if: $data.canChange --> <div data-bind="service: { name: \'createChangeValueType\' }"></div> <!-- /ko --> </div>',
    'dx-filtereditor-property': '<div class="criteria-operator-text dxd-filter-editor-text-color" data-bind="css: css"> <div data-bind="service: { name: \'createChangeProperty\' }"></div> <!-- ko if: $data.canChange --> <div data-bind="service: { name: \'createChangeValueType\' }"></div> <!-- /ko --> </div>',
    'dx-filtereditor-unary': '<!-- ko if: $data.operand().reverse --> <!-- ko template: {name: $data.operand().templateName, data: $data.operand() }--> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: $data.operand().reverse --> <div class="criteria-operator-group"> <div class="criteria-operator-group-item"> <div class="criteria-operator-action" data-bind="dxclick: function() {  $data.remove && $data.remove(); }"> <div class="criteria-operator-action-image dx-image-filtereditor-remove" data-bind="visible: !!$data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> </div> <!-- ko with: operand--> <div class="criteria-operator-item"> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> </div> <!-- /ko --> <div data-bind="service: { name: \'createChangeType\' }"></div> </div> </div> <!-- /ko -->',
    'dx-filtereditor-not': '<!-- ko with: operand--> <!-- ko template: { name: templateName, data: $data }--> <!-- /ko --> <!-- /ko -->',
    'dx-filtereditor-value': '<div class="criteria-operator-item" data-bind="visible: isEditable"> <!-- ko if: $data.items.length === 0 --> <!-- ko if: $data.specifics() === "string" || $data.specifics() === "guid" --> <div class="criteria-operator-item-editor" data-bind="dxTextBox: getStringEditorOptions($element), focus: { on: isEditable }"></div> <!-- /ko --> <!-- ko if: $data.specifics() === "bool"  --> <div class="criteria-operator-item-editor" data-bind="focus: isEditable, dxLocalizedSelectBox: getBoolEditorOptions($element, $root)"></div> <!-- /ko --> <!-- ko if: $data.specifics() === "date" || $data.specifics() === "time" || $data.specifics() === "datetime" --> <div class="criteria-operator-item-editor" data-bind="focus: isEditable, dxDateBox: getDateEditorOptions($element, $root, $data.specifics())"></div> <!-- /ko --> <!-- ko if: $data.specifics() !== "string" && $data.specifics() !== "bool" && $data.specifics() !== "date" && $data.specifics() !== "guid" && $data.specifics() !== "time" && $data.specifics() !== "datetime" --> <div class="criteria-operator-item-editor" data-bind="dxTextBox: getNumberEditorOptions($element), focus: { on: isEditable }"></div> <!-- /ko --> <!-- /ko --> <!-- ko if: $data.items.length > 0 --> <div class="criteria-operator-item-editor" data-bind="focus: isEditable, dxSelectBox: getListEditOptions($element, $root)"></div> <!-- /ko --> </div> <div class="criteria-operator-text dxd-filter-editor-text-color criteria-operator-item-value dxd-filter-editor-value-back-color" data-bind="visible: !isEditable()"> <div class="criteria-operator-text dxd-filter-editor-text-color clickable" data-bind="text: value, click: function() { isEditable(true); }, css: { \'default\': $data.isDefaultDisplay() } "></div> <div data-bind="service: { name: \'createChangeValueType\' }"></div> </div>',
    'dx-filtereditor-popup': '<div data-bind="dxPopup: { animation: { show: { type: \'fadeIn\', duration: 700 }, hide: { type: \'fadeOut\', duration: 700 } }, showTitle: true, wrapperAttr: { class: \'dx-filtereditor dx-popup-general\' }, resizeEnabled: true, onResize: function() { $data.resizeAceEditor() }, width: 700, height: 500, maxHeight: \'95%\', maxWidth: \'95%\', minHeight: 300, minWidth: 400, title: options() && options().title(), visible: popupVisible, onShown: function() { $data.focusText() }, toolbarItems: buttonItems, showCloseButton: true, container: getPopupContainer($element), position: { of: getPopupContainer($element) } }"> <!-- ko template: \'dx-filtereditor-content\' --> <!-- /ko --> </div> <!-- ko template: \'dx-filtereditor-content-popups\' --> <!-- /ko -->',
    'dx-filtereditor-create': '<div class="criteria-operator-action" data-bind="dxclick: showPopup"> <div class="criteria-operator-action-image dx-image-filtereditor-add"><!-- ko template: \'dxrd-svg-filtereditor-add\' --><!-- /ko --></div> </div>',
    'dx-filtereditor-change': '<div class="criteria-operator-text dxd-filter-editor-text-color clickable" data-bind="text: target.displayType, dxclick: showPopup, css: target.css"></div>',
    'dx-filtereditor-changeParameter': '<div class="criteria-operator-text dxd-filter-editor-text-color clickable " data-bind="text: target.parameterName(), dxclick: showPopup, css: { \'dxd-state-selected\': target.isSelected }"></div>',
    'dx-filtereditor-changeProperty': '<div class="criteria-operator-text dxd-filter-editor-text-color clickable" data-bind="text: target.displayName, dxclick: showPopup, css: { \'dxd-state-selected\': target.isSelected }"></div>',
    'dx-filtereditor-changeValueType': '<div class="criteria-operator-action" data-bind="dxclick: showPopup"> <div class="criteria-operator-action-image-edit dx-image-filtereditor-edit"><!-- ko template: \'dxrd-svg-filtereditor-edit\' --><!-- /ko --></div> </div>',
    'dx-filtereditor-content-popups': '<div class="dx-selectbox-popup-wrapper dx-dropdownlist-popup-wrapper dx-filtereditor-criteriaoperator-popup dx-dropdowneditor-overlay" data-bind="dxPopupWithAutoHeight: { minWidth:\'170px\', maxWidth:\'500px\', width: \'auto\', height: \'300px\', wrapperAttr: { class: \'dx-selectbox-popup-wrapper dx-dropdownlist-popup-wrapper dx-filtereditor-criteriaoperator-popup dx-dropdowneditor-overlay\' }, focusStateEnabled: false, position: $data.rtl ? { my: \'right top\', at: \'right bottom\', of: popupService.target} : { my: \'left top\', at: \'left bottom\', of: popupService.target }, container: $data.getPopupContainer($element), target: popupService.target, showTitle: false, showCloseButton: false, animation: {}, hideOnOutsideClick: true, shading: false, visible: popupService.visible }"> <!-- ko with: popupService--> <!-- ko with: data --> <!-- ko template: template--> <!-- /ko --> <!-- /ko --> <!-- /ko --> </div>',
    'dx-filtereditor-search-panel': '<div class="dx-filtereditor-popup-item dx-filtereditor-search dx-item dx-list-item dxd-list-item-back-color dxd-back-highlighted"> <div class="dx-item-content dxd-border-secondary dxd-text-primary dx-list-item-content" data-bind="dxTextBox: { placeholder: searchPlaceholder(), value: ($data.value || $data.filterString), height: \'100%\', width: \'100%\', stylingMode: \'underlined\', valueChangeEvent: \'keyup\' }"> </div> </div>',
    'dx-filtereditor-popup-common': '<!-- ko if: $data.isFiltered --> <div data-bind="template: { name: \'dx-filtereditor-search-panel\', data: $data }"></div> <!-- /ko --> <div class="dx-widget" data-bind="dxScrollView: { showScrollbar: \'onHover\' }, css: { \'dx-filtereditor-filtered\': isFiltered }"> <!-- ko foreach: data --> <!-- ko if: !$data.hidden --> <!-- ko ifnot: $parent.isFiltered --> <div class="dx-filtereditor-popup-item dx-item dx-list-item dxd-list-item-back-color dxd-back-highlighted"> <span class="dx-item-content dx-list-item-content" data-bind="text: $data.displayText || $data.name, click: function() { $parent.click($data); }, attr: {\'title\': $data.displayText || $data.name } "></span> </div> <!-- /ko --> <!-- ko if: $parent.isFiltered --> <div class="dx-filtereditor-popup-item dx-item dx-list-item dxd-list-item-back-color dxd-back-highlighted"> <div class="dx-item-content dx-list-item-content" data-bind="searchHighlighting: { text: $data.displayText || $data.name, textToSearch: $parent.filterString }, click: function() { $parent.click($data); }, attr: {\'title\': $data.displayText || $data.name } "> </div> </div> <!-- /ko --> <!-- /ko --> <!-- /ko --> </div>',
    'dx-filtereditor-popup-treelist': '<div class="dx-filtereditor-search" data-bind="treeListSearchPanel: { controllers: data().treeListController, template: \'dx-filtereditor-search-panel\' } "></div> <div class="dx-widget dx-filtereditor-filtered" data-bind="dxScrollView: { showScrollbar: \'onHover\' }"> <div class="dx-treelist-wrapper" data-bind="treelist: data"></div> </div>',
    'dx-format-string-list': '<div class="dx-format-string-list dxd-format-string-editor-border-color dxd-border-secondary"> <div data-bind="dxList: { items: $data.items, selectedItems: $data.selectedItems, onItemClick: $data.action, selectionMode: \'single\', activeStateEnabled: false }"> <div data-options="dxTemplate: { name: \'item\' }" class="dx-theme-border-color"> <div class="dx-image-filtereditor-remove" data-bind="click: $parent.removeItem, visible: $data.canRemove"><!-- ko template: \'dxrd-svg-filtereditor-remove\' --><!-- /ko --></div> <div class="dx-format-string-list-item" data-bind="text: $data.displayName"></div> </div> </div> </div>',
    'dx-format-string-edit-area': '<div class="dx-format-string-content-area-title dxd-text-primary" data-bind="text: getDisplayText(\'types\')"></div> <div class="dx-format-string-formats"> <!-- ko template: { name: \'dx-format-string-list\', data: { items: patternList, action: setFormat, removeItem: removeCustomFormat, selectedItems: selectedFormats } } --> <!-- /ko --> <div class="dx-format-string-customization"> <div class="dx-format-string-customization-add" data-bind="dxButton:{ onClick: addCustomFormat, text: getDisplayText(\'add\'), disabled: !canAddCustomFormat() }"></div> <div class="dx-format-string-customization-value dx-format-string-value dxd-back-primary" data-bind="dxTextBox: { value: formatResult, onInput: function(e) { updateInputText(\'formatResult\', e.component); }  }"></div> </div> </div>',
    'dx-format-string-edit-area-general': '<div class="dx-format-string-content-area-title dxd-text-primary" data-bind="text: getDisplayText(\'prefix\')"></div> <div class="dx-format-string-customization-general-value dx-format-string-value" data-bind="dxTextBox: { value: formatPrefix, onInput: function(e) { updateInputText(\'formatPrefix\', e.component); } }"></div> <div class="dx-format-string-content-area-title dxd-text-primary" data-bind="text: getDisplayText(\'suffix\')"></div> <div class="dx-format-string-customization-general-value dx-format-string-value" data-bind="dxTextBox: { value: formatSuffix, onInput: function(e) { updateInputText(\'formatSuffix\', e.component); } }"></div>',
    'dx-format-string': '<div> <div class="no-margin-right" data-bind="dxEllipsisEditor: { value: value, disabled: disabled, buttonAction: function() { popupVisible(true); } }"></div> <div data-bind="dxPopup: { wrapperAttr: { class: \'dx-format-string dx-popup-general\' }, showTitle: true, width: \'95%\', height: \'95%\', minWidth: 650, title: getDisplayText(\'title\'), visible: popupVisible, toolbarItems: buttonItems, showCloseButton: true, container: getPopupContainer($element), position: { of: getPopupContainer($element) } }"> <div class="dx-format-string-content"> <div class="dx-format-string-content-area-left"> <div class="dx-format-string-content-area-title dxd-text-primary" data-bind="text: getDisplayText(\'category\')"></div> <!-- ko template: { name: \'dx-format-string-list\', data: { items: types, action: setType, selectedItems: selectedTypes } } --> <!-- /ko --> </div> <div class="dx-format-string-content-area-right"> <!-- ko if: !isGeneralType --> <!-- ko template: \'dx-format-string-edit-area\' --> <!-- /ko --> <!-- /ko --> <!-- ko if: isGeneralType --> <!-- ko template: \'dx-format-string-edit-area-general\' --> <!-- /ko --> <!-- /ko --> <div class="dx-format-string-preview-area" data-bind="css: { \'dx-format-general\': isGeneralType }"> <div class="dx-format-string-preview-area-caption dxd-text-primary" data-bind="text: getDisplayText(\'preview\')"></div> <div class="dx-format-string-preview-value dxd-format-string-editor-border-color dxd-text-primary dxd-back-primary dxd-border-secondary"> <span class="dx-format-string-preview-value-inner" data-bind="text: previewString"></span> </div> </div> </div> </div> </div> </div>',
    'dx-treelist-item-actions': '<!-- ko foreach: actions --> <!-- ko if: $data.templateName && (ko.unwrap($root.canAddItems) || $root.canAddItems === undefined) --> <!-- ko template: templateName  --> <!-- /ko --> <!-- /ko --> <!-- ko if: !$data.templateName && (ko.unwrap($root.canAddItems) || canAddItems)  --> <div class="dx-treelist-action" data-bind="dxButtonWithTemplate: { onClick: function() { clickAction($parent); }, icon: ko.unwrap($data.imageTemplateName), iconClass: $data.imageClassName, visible: (ko.unwrap($data.visible) == undefined) || ko.unwrap($data.visible), disabled: $data.disabled && $data.disabled() }, attr: { title: $data.displayText && $data.displayText() || text }"></div> <!-- /ko --> <!-- /ko -->',
    'dx-treelist-edit-action': '<div class="dx-treelist-action-edit dx-accordion-button" data-bind="dxButtonWithTemplate: { icon: \'dxrd-svg-operations-edit\', iconClass: \'dx-image-edit\',  onClick: $parent.reverseCollapsed }, visible: $parent.hasContent, attr: { title: $data.displayText() }"></div>',
    'dx-treelist-item-actions-with-edit': '<!-- ko template: { name: \'dx-treelist-edit-action\', data: treeListEditAction }  --> <!-- /ko --> <!-- ko template: \'dx-treelist-item-actions\'  --> <!-- /ko -->',
    'dx-treelist-item-ellipsis': '<div class="dx-treelist-item dxd-list-item-back-color dxd-back-highlighted" data-bind="styleunit: padding, click: events.click"> <div class="dx-treelist-collapsedbutton"></div> <div class="dx-treelist-caption"> <div class="dx-treelist-selectedcontent"> <div class="dx-treelist-text-wrapper"> <div class="dx-treelist-ellipsis-text dxd-text-accented dxd-hyperlink-color" data-bind="text: text"></div> </div> </div> </div> </div>',
    'dx-treelist-item': '<!-- ko if: visible --> <!-- ko if: hasContent --> <!-- ko template: templates.accordionItem --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: hasContent --> <!-- ko template: templates.headerItem --> <!-- /ko --> <!-- /ko --> <!-- /ko -->',
    'dx-treelist-accordion-item': '<div data-bind="dxdAccordionExt: { collapsed: collapsed, lazyContentRendering: true, setCollapsedChangedEvent: setCollapsedChangedEvent }"> <!-- ko template: templates.headerItem --> <!-- /ko --> <div class="dx-fieldset dx-accordion-content dxd-back-primary"> <!-- ko with: data --> <!-- ko template: { name: contenttemplate } --> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-treelist-item-actions-container': '<div class="dx-treelist-action-container" data-bind="visible: isSelected || isHovered"> <!-- ko template: actionsTemplate --> <!-- /ko --> </div>',
    'dx-treelist-header-item': '<div role="treeitem" class="dx-treelist-item dxd-list-item-back-color dxd-back-highlighted dx-accessibility-treelist-item dx-accessibility-focus-border-accented" data-bind="event: events, styleunit: padding, css: cssRules, attr: attr"> <!-- ko if: hasItems--> <div class="dx-treelist-collapsedbutton" data-bind="css: nodeImageClass, template: \'dxrd-svg-collapsed\', click: toggleCollapsed"></div> <!-- /ko --> <div class="dx-treelist-caption" data-bind="style: { \'padding-left\': hasItems ? \'0px\': \'18px\' }"> <!-- ko if: actions && actions.length > 0 --> <!-- ko template: templates.actionsContainer --> <!-- /ko  --> <!-- /ko  --> <div class="dx-treelist-selectedcontent" data-bind="click: function(s, e) { $root.hideContextMenu && $root.hideContextMenu(); toggleSelected(s, e); }, event: $root.ContextMenusEnabled && $root.ContextMenusEnabled() ? { contextmenu: toggleSelected } : null, draggable: isDraggable ? dragDropHandler : null"> <!-- ko template: templates.headerItemContent --> <!-- /ko --> </div> </div> </div>',
    'dx-treelist-item-text-content': '<div class="dx-treelist-text-wrapper"> <!--ko if: searchModel.searchEnabled --> <div class="dx-treelist-text dx-highlighted-search-text" data-bind="searchHighlighting: { text: text, textToSearch: searchModel.textToSearch, searchOptions: searchModel.searchOptions }, attr: { title: text }"></div> <!-- /ko  --> <!--ko ifnot: searchModel.searchEnabled --> <div class="dx-treelist-text" data-bind="text: text, attr: { title: text }"></div> <!-- /ko  --> </div>',
    'dx-treelist-header-item-caption-content': '<div class="dx-treelist-image" data-bind="css: imageClassName, template: { name: imageTemplateName, if: !!imageTemplateName }, attr: { title: text }"> </div> <!-- ko template: templates.itemTextContent --> <!-- /ko -->',
    'dx-treelist-item-with-hover': '<div data-bind="visible: visible"> <!-- ko if: hasContent --> <!-- ko template: "dx-treelist-accordion-item-with-hover" --> <!-- /ko --> <!-- /ko --> <!-- ko ifnot: hasContent --> <!-- ko template: "dx-treelist-header-item-with-hover" --> <!-- /ko --> <!-- /ko --> </div>',
    'dx-treelist-accordion-item-with-hover': '<div data-bind="dxdAccordionExt: { collapsed: collapsed, lazyContentRendering: true, setCollapsedChangedEvent: setCollapsedChangedEvent }"> <!-- ko template: "dx-treelist-header-item-with-hover" --> <!-- /ko --> <div class="dx-fieldset dx-accordion-content dxd-back-primary"> <!-- ko with: data --> <!-- ko template: { name: contenttemplate } --> <!-- /ko --> <!-- /ko --> </div> </div>',
    'dx-treelist-header-item-with-hover': '<div class="dx-background-inheritor dxd-back-highlighted dxd-state-selected"> <div class="dx-treelist-item dx-fontsize-reestablished dxd-list-item-back-color" data-bind="event: events, styleunit: padding, css: { \'dx-treelist-item-selected dxd-state-selected dxd-back-secondary\': isSelected || isMultiSelected }"> <div class="dx-treelist-collapsedbutton" data-bind="css: nodeImageClass, template: \'dxrd-svg-collapsed\', click: toggleCollapsed, style: { \'visibility\': hasItems ? \'visible\' : \'hidden\' }"></div> <div class="dx-treelist-caption"> <!-- ko if: actions && actions.length > 0 --> <div class="dx-treelist-action-container" data-bind="visible: isSelected || isHovered"> <!-- ko template: actionsTemplate --> <!-- /ko --> </div> <!-- /ko  --> <div class="dx-treelist-selectedcontent" data-bind="click: toggleSelected,  draggable: isDraggable ? dragDropHandler : null"> <div class="dx-treelist-image" data-bind="css: imageClassName, template: { name: imageTemplateName, if: !!imageTemplateName }, attr: { title: text }"> </div> <div class="dx-treelist-text-wrapper"> <div class="dx-treelist-text" data-bind="text: text, attr: { title: text }"></div> </div> </div> </div> </div> </div>',
    'dx-treelist': '<div role="group" class="dx-treelist dxd-text-primary"> <!-- ko foreach: items --> <!-- ko lazy: { resolver: resolver, innerBindings: { template: templateName } } --> <!-- /ko --> <!-- ko if: !collapsed --> <!-- ko template: { name: \'dx-treelist\' } --> <!-- /ko --> <!-- /ko --> <!-- /ko --> </div>',
    'dx-treelist-search-panel': '<div class="dxrd-treelist-search-panel" data-bind="dxTextBox: { mode: \'search\',  value:value, valueChangeEvent: \'keyup\', showClearButton: true, placeholder: searchPlaceholder()}"></div>'
});
